<?php $__env->startSection('title', translate('Social Media Settings')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-4">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/social_media.png')); ?>" alt="<?php echo e(translate('social_media')); ?>">
                <?php echo e(translate('Social_Media')); ?>

            </h2>
        </div>

        <div class="card mb-3">
            <div class="card-header">
                <h5 class="mb-0"><?php echo e(translate('social_media_form')); ?></h5>
            </div>
            <div class="card-body">
                <form>
                    <?php echo csrf_field(); ?>
                    <div class="form-group">
                        <label for="name"><?php echo e(translate('name')); ?></label>
                        <select class="form-control" name="name" id="name">
                            <option>---<?php echo e(translate('select')); ?>---</option>
                            <option value="instagram"><?php echo e(translate('Instagram')); ?></option>
                            <option value="facebook"><?php echo e(translate('Facebook')); ?></option>
                            <option value="twitter"><?php echo e(translate('Twitter')); ?></option>
                            <option value="linkedin"><?php echo e(translate('LinkedIn')); ?></option>
                            <option value="pinterest"><?php echo e(translate('Pinterest')); ?></option>
                        </select>
                    </div>
                    <div class="form-group">
                        <input type="hidden" id="id">
                        <label for="link"><?php echo e(translate('social_media_link')); ?></label>
                        <input type="text" name="link" class="form-control" id="link"
                                placeholder="<?php echo e(translate('Enter Social Media Link')); ?>" required maxlength="255">
                    </div>
                    <div>
                        <input type="hidden" id="id">
                    </div>

                    <div class="d-flex justify-content-end">
                        <button id="add" class="btn btn-primary"><?php echo e(translate('save')); ?></button>
                        <a id="update" class="btn btn-primary d--none"><?php echo e(translate('update')); ?></a>
                    </div>
                </form>
            </div>
        </div>

        <div class="card">
            <div class="card-header">
                <h5 class="mb-0"><?php echo e(translate('social_media_table')); ?></h5>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th scope="col"><?php echo e(translate('sl')); ?></th>
                                <th scope="col"><?php echo e(translate('name')); ?></th>
                                <th scope="col"><?php echo e(translate('link')); ?></th>
                                <th scope="col"><?php echo e(translate('status')); ?></th>
                                <th class="w-100px" scope="col"><?php echo e(translate('action')); ?></th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script>
        "use strict"

        fetch_social_media();

        function fetch_social_media() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: "<?php echo e(route('admin.business-settings.fetch')); ?>",
                method: 'GET',
                success: function (data) {

                    if (data.length != 0) {
                        let html = '';
                        for (let count = 0; count < data.length; count++) {
                            html += '<tr>';
                            html += '<td class="column_name" data-column_name="sl" data-id="' + data[count].id + '">' + (count + 1) + '</td>';
                            html += '<td class="column_name" data-column_name="name" data-id="' + data[count].id + '">' + data[count].name + '</td>';
                            html += '<td class="column_name" data-column_name="slug" data-id="' + data[count].id + '">' + data[count].link + '</td>';
                            html += `<td class="column_name status" data-column_name="status" data-id="${data[count].id}">
                                <label class="switcher">
                                    <input type="checkbox" class="switcher_input" id="${data[count].id}" ${data[count].status == 1 ? "checked" : ""} >
                                    <span class="switcher_control"></span>
                                </label>
                            </td>`;
                            html += '<td><a type="button" class="btn btn-primary btn-xs edit" id="' + data[count].id + '"><?php echo e(translate('Edit')); ?></a> </td></tr>';
                        }
                        $('tbody').html(html);
                    }
                }
            });
        }

        $('#add').on('click', function () {
            let name = $('#name').val();
            let link = $('#link').val();
            if (name == "") {
                toastr.error('<?php echo e(translate('Social Name Is Requeired')); ?>.');
                return false;
            }
            if (link == "") {
                toastr.error('<?php echo e(translate('Social Link Is Requeired')); ?>.');
                return false;
            }
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: "<?php echo e(route('admin.business-settings.social-media-store')); ?>",
                method: 'POST',
                data: {
                    name: name,
                    link: link
                },
                success: function (response) {
                    if (response.error == 1) {
                        toastr.error('<?php echo e(translate('Social Media Already taken')); ?>');
                    } else {
                        toastr.success('<?php echo e(translate('Social Media inserted Successfully')); ?>.');
                    }
                    $('#name').val('');
                    $('#link').val('');
                    fetch_social_media();
                }
            });
        });
        $('#update').on('click', function () {
            $('#update').attr("disabled", true);
            let id = $('#id').val();
            let name = $('#name').val();
            let link = $('#link').val();

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: "<?php echo e(route('admin.business-settings.social-media-update')); ?>",
                method: 'POST',
                data: {
                    id: id,
                    name: name,
                    link: link,
                },
                success: function (data) {
                    $('#name').val('');
                    $('#link').val('');

                    toastr.success('<?php echo e(translate('Social info updated Successfully')); ?>.');
                    $('#update').hide();
                    $('#add').show();
                    fetch_social_media();

                }
            });
            $('#save').hide();
        });
        $(document).on('click', '.delete', function () {
            let id = $(this).attr("id");
            if (confirm("<?php echo e(translate('Are you sure delete this social media')); ?>?")) {
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                $.ajax({
                    url: "<?php echo e(route('admin.business-settings.social-media-delete')); ?>",
                    method: 'POST',
                    data: {id: id},
                    success: function (data) {
                        fetch_social_media();
                        toastr.success('<?php echo e(translate('Social media deleted Successfully')); ?>.');
                    }
                });
            }
        });
        $(document).on('click', '.edit', function () {
            $('#update').show();
            $('#add').hide();
            let id = $(this).attr("id");
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: "<?php echo e(route('admin.business-settings.social-media-edit')); ?>",
                method: 'POST',
                data: {id: id},
                success: function (data) {
                    $(window).scrollTop(0);
                    $('#id').val(data.id);
                    $('#name').val(data.name);
                    $('#link').val(data.link);
                    fetch_social_media()
                }
            });
        });
        $(document).on('change', '.status', function () {
            let id = $(this).data("id");
            if ($(this).prop("checked") == true) {
                var status = 1;
            } else if ($(this).prop("checked") == false) {
                var status = 0;
            }

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: "<?php echo e(route('admin.business-settings.social-media-status-update')); ?>",
                method: 'POST',
                data: {
                    id: id,
                    status: status
                },
                success: function () {
                    toastr.success('<?php echo e(translate('Status updated successfully')); ?>');
                }
            });
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/business-settings/social-media.blade.php ENDPATH**/ ?>