<?php $__env->startSection('title', translate('Add new banner')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="24" src="<?php echo e(asset('public/assets/admin/img/icons/banner.png')); ?>" alt="<?php echo e(translate('banner')); ?>">
                <?php echo e(translate('add_new_banner')); ?>

            </h2>
        </div>

        <div class="card">
            <div class="card-body">
                <form action="<?php echo e(route('admin.banner.store')); ?>" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="mb-5">
                                <label class="input-label"><?php echo e(translate('title')); ?></label>
                                <input type="text" name="title" class="form-control" placeholder="<?php echo e(translate('New banner')); ?>" required maxlength="255">
                            </div>
                            <div class="mb-5">
                                <label class="input-label"><?php echo e(translate('Banner')); ?> <?php echo e(translate('type')); ?><span
                                        class="input-label-secondary text-danger">*</span></label>
                                <select name="banner_type" class="form-control" id="banner_type">
                                    <option value="primary"><?php echo e(translate('Primary Banner')); ?></option>
                                    <option value="secondary"><?php echo e(translate('Secondary Banner')); ?></option>
                                </select>
                            </div>
                            <div class="mb-5">
                                <label class="input-label"><?php echo e(translate('Redirection')); ?> <?php echo e(translate('type')); ?><span
                                        class="input-label-secondary text-danger">*</span></label>
                                <select name="item_type" class="form-control" id="redirection_type">
                                    <option value="product"><?php echo e(translate('product')); ?></option>
                                    <option value="category"><?php echo e(translate('category')); ?></option>
                                </select>
                            </div>
                            <div class="mb-5 type-product" id="type-product">
                                <label class="input-label"><?php echo e(translate('product')); ?>

                                    <span class="input-label-secondary text-danger">*</span>
                                </label>
                                <select name="product_id" class="form-control js-select2-custom">
                                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($product['id']); ?>"><?php echo e($product['name']); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <div class="mb-5 d--none type-category" id="type-category">
                                <label class="input-label">
                                    <?php echo e(translate('category')); ?>

                                    <span class="input-label-secondary text-danger">*</span>
                                </label>
                                <select name="category_id" class="form-control js-select2-custom">
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($category['id']); ?>"><?php echo e($category['name']); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>

                        <div class="col-sm-6">
                            <div class="form-group" id="primary_banner">
                                <label class="mb-2"><?php echo e(translate('Image')); ?></label>
                                <div class="custom_upload_input max-h200px ratio-2">
                                    <input type="file" name="primary_image" class="custom-upload-input-file meta-img" id="" data-imgpreview="pre_meta_image_viewer"
                                           accept=".jpg, .png, .jpeg, .gif, .bmp, .tif, .tiff|image/*">

                                    <span class="delete_file_input btn btn-outline-danger btn-sm square-btn" style="display: none">
                                                <i class="tio-delete"></i>
                                            </span>

                                    <div class="img_area_with_preview position-absolute z-index-2">
                                        <img id="pre_meta_image_viewer" class="aspect-1 bg-white" src="img" onerror="this.classList.add('d-none')" alt="<?php echo e(translate('image')); ?>">
                                    </div>
                                    <div class="position-absolute h-100 top-0 w-100 d-flex align-content-center justify-content-center">
                                        <div class="d-flex flex-column justify-content-center align-items-center overflow-hidden">
                                            <h3 class="text-muted"><?php echo e(translate('Drag & Drop here')); ?></h3>
                                        </div>
                                    </div>
                                </div>

                                <p class="fs-16 mb-2 text-dark mt-2">
                                    <i class="tio-info-outlined cursor-pointer" data-toggle="tooltip"
                                       title="<?php echo e(translate('When do not have secondary banner than the primary banner ration will be 3:1')); ?>">
                                    </i>
                                    <?php echo e(translate('Images Ratio')); ?> 2:1
                                </p>
                                <p class="fs-14 text-muted mb-0"><?php echo e(translate('Image format : jpg, png, jpeg | Maximum Size')); ?> : 2 MB</p>
                            </div>

                            <div class="form-group d--none" id="secondary_banner">
                                <label class="mb-2"><?php echo e(translate('Image')); ?></label>
                                <div class="custom_upload_input max-h200px ratio-1">
                                    <input type="file" name="secondary_image" class="custom-upload-input-file meta-img" id="" data-imgpreview="pre_meta_image_viewer"
                                           accept=".jpg, .png, .jpeg, .gif, .bmp, .tif, .tiff|image/*">

                                    <span class="delete_file_input btn btn-outline-danger btn-sm square-btn" style="display: none">
                                                <i class="tio-delete"></i>
                                            </span>

                                    <div class="img_area_with_preview position-absolute z-index-2">
                                        <img id="pre_meta_image_viewer" class="aspect-1 bg-white" src="img" onerror="this.classList.add('d-none')" alt="<?php echo e('image'); ?>">
                                    </div>
                                    <div class="position-absolute h-100 top-0 w-100 d-flex align-content-center justify-content-center">
                                        <div class="d-flex flex-column justify-content-center align-items-center overflow-hidden">
                                            <h3 class="text-muted"><?php echo e(translate('Drag & Drop here')); ?></h3>
                                        </div>
                                    </div>
                                </div>

                                <p class="fs-16 mb-2 text-dark mt-2"><?php echo e(translate('Images Ratio')); ?> 1:1</p>
                                <p class="fs-14 text-muted mb-0"><?php echo e(translate('Image format : jpg, png, jpeg | Maximum Size')); ?> : 2 MB</p>
                            </div>

                        </div>
                    </div>

                    <div class="d-flex justify-content-end gap-3">
                        <button type="reset" class="btn btn-secondary px-5"><?php echo e(translate('reset')); ?></button>
                        <button type="submit" class="btn btn-primary px-5"><?php echo e(translate('submit')); ?></button>
                    </div>
                </form>
            </div>
        </div>

        <div class="card mt-3">
            <div class="px-20 py-3">
                <div class="row gy-2 align-items-center">
                    <div class="col-sm-4">
                        <h5 class="text-capitalize d-flex align-items-center gap-2 mb-0">
                            <?php echo e(translate('banner_table')); ?>

                            <span class="badge badge-soft-dark rounded-50 fz-12"><?php echo e($banners->count()); ?></span>
                        </h5>
                    </div>
                    <div class="col-sm-8">
                        <div class="d-flex flex-wrap justify-content-sm-end gap-2">
                            <form  action="<?php echo e(url()->current()); ?>" method="GET">
                                <div class="input-group">
                                    <input id="datatableSearch_" type="search" name="search"
                                        class="form-control"
                                        placeholder="<?php echo e(translate('Search by Title')); ?>" aria-label="Search"
                                           value="<?php echo e($search); ?>" required autocomplete="off">
                                    <div class="input-group-append">
                                        <button type="submit" class="btn btn-primary"><?php echo e(translate('search')); ?>

                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

            <div class="table-responsive datatable-custom">
                <table class="table table-borderless table-thead-bordered table-nowrap table-align-middle card-table">
                    <thead class="thead-light">
                        <tr>
                            <th><?php echo e(translate('SL')); ?></th>
                            <th><?php echo e(translate('banner_image')); ?></th>
                            <th><?php echo e(translate('title')); ?></th>
                            <th><?php echo e(translate('type')); ?></th>
                            <th><?php echo e(translate('status')); ?></th>
                            <th class="text-center"><?php echo e(translate('action')); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php $__currentLoopData = $banners; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$banner): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($banners->firstitem()+$key); ?></td>
                            <td>
                                <div class="banner-img-wrap rounded border">
                                    <img class="img-fit" src="<?php echo e($banner['image_fullpath']); ?>"
                                         alt="<?php echo e(translate('banner')); ?>">
                                </div>
                            </td>
                            <td><?php echo e($banner['title']); ?></td>
                            <td><?php echo e($banner['banner_type']); ?></td>
                            <td>
                                <?php if($banner['status']==1): ?>
                                    <label class="switcher">
                                        <input type="checkbox" class="switcher_input change-status" checked
                                               data-route="<?php echo e(route('admin.banner.status',[$banner['id'],0])); ?>">
                                        <span class="switcher_control"></span>
                                    </label>
                                <?php else: ?>
                                    <label class="switcher">
                                        <input type="checkbox" class="switcher_input change-status"
                                               data-route="<?php echo e(route('admin.banner.status',[$banner['id'],1])); ?>">
                                        <span class="switcher_control"></span>
                                    </label>
                                <?php endif; ?>
                            </td>
                            <td>
                                <div class="d-flex justify-content-center gap-2">
                                    <a class="btn btn-outline-info square-btn"
                                        href="<?php echo e(route('admin.banner.edit',[$banner['id']])); ?>"><i class="tio tio-edit"></i></a>
                                    <a class="btn btn-outline-danger square-btn form-alert" href="javascript:"
                                       data-id="banner-<?php echo e($banner['id']); ?>"
                                       data-message="<?php echo e(translate('Want to delete this banner ?')); ?>">
                                        <i class="tio tio-delete"></i>
                                    </a>
                                </div>
                                <form action="<?php echo e(route('admin.banner.delete',[$banner['id']])); ?>"
                                        method="post" id="banner-<?php echo e($banner['id']); ?>">
                                    <?php echo csrf_field(); ?> <?php echo method_field('delete'); ?>
                                </form>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>

            <div class="table-responsive mt-4 px-3">
                <div class="d-flex justify-content-end">
                    <?php echo $banners->links(); ?>

                </div>
            </div>
            <?php if(count($banners)==0): ?>
                <div class="text-center p-4">
                    <img class="mb-3 width-7rem" src="<?php echo e(asset('public/assets/admin//svg/illustrations/sorry.svg')); ?>" alt="<?php echo e(translate('Image Description')); ?>">
                    <p class="mb-0"><?php echo e(translate('No data to show')); ?></p>
                </div>
            <?php endif; ?>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script src="<?php echo e(asset('public/assets/admin/js/image-upload.js')); ?>"></script>
    <script src="<?php echo e(asset('public/assets/admin/js/banner.js')); ?>"></script>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/banner/index.blade.php ENDPATH**/ ?>