<?php $__env->startSection('title', translate('Product List')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="d-flex flex-wrap gap-3 align-items-center mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/product.png')); ?>" alt="<?php echo e(translate('product')); ?>">
                <?php echo e(translate('product_list')); ?>

            </h2>
            <span class="badge badge-soft-dark rounded-50 fs-14"><?php echo e($products->total()); ?></span>
        </div>

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="px-20 py-3">
                        <div class="row gy-2 align-items-center">
                            <div class="col-lg-4 col-sm-8 col-md-6">
                                <form action="<?php echo e(url()->current()); ?>" method="GET">
                                    <div class="input-group">
                                        <input id="datatableSearch_" type="search" name="search" class="form-control"
                                               placeholder="<?php echo e(translate('Search by Product Name')); ?>" aria-label="Search"
                                               value="<?php echo e($search); ?>" required autocomplete="off">
                                        <div class="input-group-append">
                                            <button type="submit" class="btn btn-primary"><?php echo e(translate('search')); ?>

                                            </button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="col-lg-8 col-sm-4 col-md-6 d-flex justify-content-sm-end">
                                <a href="<?php echo e(route('admin.product.add-new')); ?>" class="btn btn-primary">
                                    <i class="tio-add"></i>
                                    <?php echo e(translate('add_new_product')); ?>

                                </a>
                            </div>
                        </div>
                    </div>

                    <div class="table-responsive datatable-custom">
                        <table class="table table-borderless table-thead-bordered table-nowrap table-align-middle card-table">
                            <thead class="thead-light">
                                <tr>
                                    <th><?php echo e(translate('SL')); ?></th>
                                    <th><?php echo e(translate('product_name')); ?></th>
                                    <th><?php echo e(translate('status')); ?></th>
                                    <th><?php echo e(translate('price')); ?></th>
                                    <th><?php echo e(translate('stock')); ?></th>
                                    <th class="text-center"><?php echo e(translate('action')); ?></th>
                                </tr>
                            </thead>

                            <tbody id="set-rows">
                            <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($products->firstitem()+$key); ?></td>
                                    <td>
                                        <div class="media gap-3 align-items-center">
                                            <div class="avatar rounded border">
                                                <img
                                                    src="<?php echo e($product['image_fullpath'][0]); ?>"
                                                     class="img-fit rounded"
                                                    alt="<?php echo e(translate('product')); ?>">
                                            </div>
                                             <a href="<?php echo e(route('admin.product.view',[$product['id']])); ?>" class="media-body text-dark">
                                               <?php echo e(substr($product['name'],0,20)); ?><?php echo e(strlen($product['name'])>20?'...':''); ?>

                                             </a>
                                        </div>
                                    </td>
                                    <td>
                                        <?php if($product['status']==1): ?>
                                            <label class="switcher">
                                                <input type="checkbox" class="switcher_input change-status" checked id="<?php echo e($product['id']); ?>"
                                                       data-route="<?php echo e(route('admin.product.status',[$product['id'],0])); ?>">
                                                <span class="switcher_control"></span>
                                            </label>
                                        <?php else: ?>
                                            <label class="switcher">
                                                <input type="checkbox" class="switcher_input change-status"  id="<?php echo e($product['id']); ?>"
                                                       data-route="<?php echo e(route('admin.product.status',[$product['id'],1])); ?>">
                                                <span class="switcher_control"></span>
                                            </label>
                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo e(Helpers::set_symbol($product['price'])); ?></td>
                                    <td>
                                        <label class="badge badge-soft-info fs-14"><?php echo e($product['total_stock']); ?></label>
                                    </td>
                                    <td>
                                        <div class="d-flex gap-2 justify-content-center">
                                            <a class="btn btn-outline-primary square-btn"
                                                href="<?php echo e(route('admin.product.edit',[$product['id']])); ?>">
                                                <i class="tio tio-edit"></i>
                                            </a>
                                            <a class="btn btn-outline-danger square-btn form-alert" href="javascript:"
                                               data-id="product-<?php echo e($product['id']); ?>"
                                               data-message="<?php echo e(translate('Want to delete this product ?')); ?>">
                                                <i class="tio tio-delete"></i>
                                            </a>
                                        </div>
                                        <form action="<?php echo e(route('admin.product.delete',[$product['id']])); ?>"
                                                method="post" id="product-<?php echo e($product['id']); ?>">
                                            <?php echo csrf_field(); ?> <?php echo method_field('delete'); ?>
                                        </form>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>

                    <div class="table-responsive mt-4 px-3">
                        <div class="d-flex justify-content-end">
                            <?php echo $products->links(); ?>

                        </div>
                    </div>
                    <?php if(count($products)==0): ?>
                        <div class="text-center p-4">
                            <img class="mb-3 width-7rem" src="<?php echo e(asset('public/assets/admin/svg/illustrations/sorry.svg')); ?>" alt="<?php echo e(translate('image')); ?>">
                            <p class="mb-0"><?php echo e(translate('No data to show')); ?></p>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/product/list.blade.php ENDPATH**/ ?>