<?php $__env->startSection('title', translate('Flash sale')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="16" src="<?php echo e(asset('public/assets/admin/img/icons/flash-sale.png')); ?>" alt="<?php echo e(translate('flash-sale')); ?>">
                <?php echo e(translate('Flash sale Setup')); ?>

            </h2>
        </div>

        <div class="card">
            <div class="card-body">

                <div class="mb-4 product-search-result-wrap">
                    <label class="input-label"><?php echo e(translate('Product')); ?></label>
                    <input type="text" name="product_search" id="product-search" class="form-control" placeholder="<?php echo e(translate('search product')); ?>">

                    <div class="product-search-result bg-white shadow-soft rounded mt-1 px-3">
                        <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="border-bottom py-3 result">
                                <a class="media gap-3" href="<?php echo e(route('admin.flash-sale.add-product-to-session', [$flash_sale_id, $product['id']])); ?>">
                                    <img class="selected-product-img rounded border p-1" width="55"
                                         src="<?php echo e($product['image_fullpath'][0]); ?>" alt="<?php echo e(translate('image')); ?>">
                                    <div class="media-body">
                                        <h6 class="mb-1"><?php echo e($product->name); ?></h6>
                                        <div class="d-flex flex-wrap column-gap-3 fs-12">
                                            <div><?php echo e(translate('price')); ?> : <?php echo e(Helpers::set_symbol($product->price)); ?></div>
                                            <div><?php echo e(translate('total_stock')); ?> : <?php echo e($product->total_stock); ?></div>
                                        </div>
                                    </div>
                                </a>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>

                <div class="selected-products">
                    <?php
                        $selected_products = session()->get('selected_products', []);
                    ?>
                    <?php $__currentLoopData = $selected_products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $selected_product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($selected_product['flash_sale_id'] == $flash_sale_id): ?>
                            <div class="bg-light rounded selected-product-item p-3 position-relative">
                                <a class="remove-item-btn" href="<?php echo e(route('admin.flash-sale.delete-product-from-session', [$flash_sale_id, $selected_product['product_id']])); ?>">
                                    <i class="tio-clear"></i>
                                </a>
                                <div class="media gap-3">
                                    <img class="selected-product-img rounded border p-1" width="55"
                                         src="<?php echo e($selected_product['image']); ?>"
                                         alt="<?php echo e(translate('image')); ?>">
                                    <div class="media-body">
                                        <h6 class="mb-1"><?php echo e($selected_product['name']); ?></h6>
                                        <div class="d-flex flex-wrap column-gap-3 fs-12">
                                            <div><?php echo e(translate('price')); ?> : <?php echo e(Helpers::set_symbol($selected_product['price'])); ?></div>
                                            <div><?php echo e(translate('Current Stock')); ?> : <?php echo e($selected_product['total_stock']); ?></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </div>

                <div class="d-flex justify-content-end gap-3 mt-3">
                    <a type="reset" class="btn btn-secondary px-5" href="<?php echo e(route('admin.flash-sale.delete-all-products-from-session', [$flash_sale_id])); ?>"><?php echo e(translate('reset')); ?></a>
                    <a type="submit" class="btn btn-primary px-5" id="flash-sale-product-store"><?php echo e(translate('submit')); ?></a>
                    <form action="<?php echo e(route('admin.flash-sale.add_flash_sale_product', [$flash_sale_id])); ?>"
                        method="post" id="product_store" class="hidden">
                        <?php echo csrf_field(); ?>
                    </form>
                </div>
            </div>
        </div>

        <div class="card mt-4">
            <div class="px-20 py-3">
                <div class="row gy-2 align-items-center">
                    <div class="col-sm-4">
                        <h5 class="text-capitalize d-flex align-items-center gap-2 mb-0">
                            <?php echo e(translate('Flash Sale Table')); ?>

                            <span class="badge badge-soft-dark rounded-50 fz-12"><?php echo e($flashSaleProducts->total()); ?></span>
                        </h5>
                    </div>
                    <div class="col-sm-8">
                        <div class="d-flex flex-wrap justify-content-sm-end gap-2">
                            <form  action="<?php echo e(url()->current()); ?>" method="GET">
                                <div class="input-group">
                                    <input id="datatableSearch_" type="search" name="search"
                                        class="form-control" value="<?php echo e($search); ?>"
                                        placeholder="<?php echo e(translate('Search by name')); ?>" aria-label="Search"
                                           required autocomplete="off">
                                    <div class="input-group-append">
                                        <button type="submit" class="btn btn-primary"><?php echo e(translate('search')); ?>

                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

            <div class="table-responsive datatable-custom">
                <table class="table table-borderless table-thead-bordered table-nowrap table-align-middle card-table">
                    <thead class="thead-light">
                        <tr>
                            <th><?php echo e(translate('SL')); ?></th>
                            <th><?php echo e(translate('Name')); ?></th>
                            <th><?php echo e(translate('Price')); ?></th>
                            <th class="text-center"><?php echo e(translate('action')); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php $__currentLoopData = $flashSaleProducts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td> <?php echo e($flashSaleProducts->firstitem()+$key); ?></td>
                            <td><?php echo e($product->name); ?></td>
                            <td><?php echo e(Helpers::set_symbol($product->price)); ?></td>
                            <td>
                                <div class="d-flex justify-content-center gap-2">
                                    <a class="btn btn-outline-danger square-btn form-alert" href="javascript:"
                                       data-id="flash-product-delete-<?php echo e($product->id); ?>"
                                       data-message="<?php echo e(translate('Want to delete this product ?')); ?>">
                                        <i class="tio tio-delete"></i>
                                    </a>
                                </div>
                                <form action="<?php echo e(route('admin.flash-sale.product.delete',[$flash_sale_id, $product->id])); ?>"
                                      method="post" id="flash-product-delete-<?php echo e($product->id); ?>">
                                    <?php echo csrf_field(); ?>
                                    <?php echo method_field('delete'); ?>
                                </form>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>

             <div class="table-responsive mt-4 px-3">
                <div class="d-flex justify-content-end">
                    <?php echo $flashSaleProducts->links(); ?>

                </div>
            </div>
             <?php if(count($flashSaleProducts)==0): ?>
                <div class="text-center p-4">
                    <img class="mb-3 width-7rem" src="<?php echo e(asset('public/assets/admin/svg/illustrations/sorry.svg')); ?>" alt="<?php echo e(translate('image')); ?>">
                    <p class="mb-0"><?php echo e(translate('No data to show')); ?></p>
                </div>
            <?php endif; ?>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script src="<?php echo e(asset('public/assets/admin/js/flash-sale.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/flash-sale/add-product.blade.php ENDPATH**/ ?>