<?php $__env->startSection('title', translate('Subscribed List')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/customer.png')); ?>" alt="<?php echo e(translate('customer')); ?>">
                <?php echo e(translate('Subscribed_Customers')); ?>

            </h2>
        </div>

        <div class="card">
            <div class="px-20 py-3 d-flex flex-wrap gap-3 justify-content-between">
                <h5 class="d-flex align-items-center gap-2 mb-0">
                    <?php echo e(translate('subscribed_Customers_List')); ?>

                    <span class="badge badge-soft-dark rounded-50 fz-12"><?php echo e($newsletters->total()); ?></span>
                </h5>
                <form action="<?php echo e(url()->current()); ?>" method="GET">
                    <div class="input-group">
                        <input id="datatableSearch_" type="search" name="search"
                            class="form-control"
                            placeholder="<?php echo e(translate('Search by Email')); ?>" aria-label="Search"
                            value="<?php echo e($search); ?>" required autocomplete="off">
                        <div class="input-group-append">
                            <button type="submit" class="btn btn-primary"><?php echo e(translate('search')); ?>

                            </button>
                        </div>
                    </div>
                </form>
            </div>

            <div class="table-responsive datatable-custom">
                <table class="table table-hover table-borderless table-thead-bordered table-nowrap table-align-middle card-table">
                    <thead class="thead-light">
                        <tr>
                            <th>
                                <?php echo e(translate('SL')); ?>

                            </th>
                            <th class="text-center"><?php echo e(translate('email')); ?></th>
                            <th class="text-center"><?php echo e(translate('subscribed_at')); ?></th>
                        </tr>
                    </thead>

                    <tbody id="set-rows">
                    <?php $__currentLoopData = $newsletters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$newsletter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($newsletters->firstitem()+$key); ?></td>
                            <td class="text-center">
                                <div class="d-flex justify-content-center">
                                    <a class="text-dark" href="mailto:<?php echo e($newsletter['email']); ?>?subject=<?php echo e(translate('Mail from '). Helpers::get_business_settings('restaurant_name')); ?>"><?php echo e($newsletter['email']); ?></a>
                                </div>
                            </td>
                            <td class="text-center"><?php echo e(date('Y/m/d '.config('timeformat'), strtotime($newsletter->created_at))); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>

            <div class="table-responsive mt-4 px-3">
                <div class="d-flex justify-content-end">
                    <?php echo $newsletters->links(); ?>

                </div>
            </div>
            <?php if(count($newsletters)==0): ?>
                <div class="text-center p-4">
                    <img class="mb-3 width-7rem" src="<?php echo e(asset('public/assets/admin//svg/illustrations/sorry.svg')); ?>" alt="<?php echo e(translate('image')); ?>">
                    <p class="mb-0"><?php echo e(translate('No data to show')); ?></p>
                </div>
            <?php endif; ?>
        </div>

        <div class="modal fade" id="add-point-modal" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content" id="modal-content"></div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/customer/subscribed-list.blade.php ENDPATH**/ ?>