<?php $__env->startSection('title', translate('Review List')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/product-review.png')); ?>" alt="<?php echo e(translate('product-review')); ?>">
                <?php echo e(translate('review_list')); ?>

            </h2>
        </div>

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="px-20 py-3">
                        <div class="row gy-2 align-items-center">
                            <div class="col-sm-4">
                                <h5 class="text-capitalize d-flex align-items-center gap-2 mb-0">
                                    <?php echo e(translate('review_table')); ?>

                                    <span class="badge badge-soft-dark rounded-50 fz-12"><?php echo e($reviews->total()); ?></span>
                                </h5>
                            </div>
                            <div class="col-sm-8">
                                <div class="d-flex flex-wrap justify-content-sm-end gap-2">
                                    <form action="#" method="GET">
                                        <div class="input-group">
                                            <input id="datatableSearch_" type="search" name="search"
                                                class="form-control"
                                                placeholder="<?php echo e(translate('Search by Product Name')); ?>" aria-label="Search"
                                                value="<?php echo e($search); ?>" required autocomplete="off">
                                            <div class="input-group-append">
                                                <button type="submit" class="btn btn-primary"><?php echo e(translate('search')); ?>

                                                </button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="table-responsive datatable-custom">
                        <table class="table table-borderless table-thead-bordered table-nowrap table-align-middle card-table">
                            <thead class="thead-light">
                            <tr>
                                <th><?php echo e(translate('SL')); ?></th>
                                <th><?php echo e(translate('product')); ?></th>
                                <th><?php echo e(translate('customer')); ?></th>
                                <th><?php echo e(translate('review')); ?></th>
                                <th class="text-center"><?php echo e(translate('rating')); ?></th>
                            </tr>
                            </thead>

                            <tbody id="set-rows">
                            <?php $__currentLoopData = $reviews; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$review): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($reviews->firstitem()+$key); ?></td>
                                        <td>
                                             <?php if($review->product): ?>
                                                <a class="text-dark" href="<?php echo e(route('admin.product.view',[$review['product_id']])); ?>">
                                                    <?php echo e($review->product['name']); ?>

                                                </a>
                                            <?php else: ?>
                                                <span class="text-muted">
                                                    <?php echo e(translate('Product unavailable')); ?>

                                                </span>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if(isset($review->customer)): ?>
                                                <a class="text-dark" href="<?php echo e(route('admin.customer.view',[$review->user_id])); ?>">
                                                    <?php echo e($review->customer->f_name." ".$review->customer->l_name); ?>

                                                </a>
                                            <?php else: ?>
                                                <span class="text-muted">
                                                    <?php echo e(translate('customer_unavailable')); ?>

                                                </span>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <div class="mx-w300 mn-w200 text-wrap">
                                                <?php echo e($review->comment); ?>

                                            </div>
                                        </td>
                                        <td>
                                            <div class="d-flex justify-content-center">
                                                <label class="badge badge-soft-info d-flex gap-1 align-items-center justify-content-center">
                                                    <?php echo e($review->rating); ?> <i class="tio-star"></i>
                                                </label>
                                            </div>
                                        </td>
                                    </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>

                    <div class="table-responsive mt-4 px-3">
                        <div class="d-flex justify-content-end">
                            <?php echo $reviews->links(); ?>

                        </div>
                    </div>
                    <?php if(count($reviews)==0): ?>
                        <div class="text-center p-4">
                            <img class="mb-3 width-7rem" src="<?php echo e(asset('public/assets/admin//svg/illustrations/sorry.svg')); ?>" alt="<?php echo e(translate('image')); ?>">
                            <p class="mb-0"><?php echo e(translate('No data to show')); ?></p>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/reviews/list.blade.php ENDPATH**/ ?>