<?php $__env->startSection('title', translate('business_setup')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/business-setup.png')); ?>" alt="<?php echo e(translate('business-setup')); ?>">
                <?php echo e(translate('business_Setup')); ?>

            </h2>
        </div>

        <div class="inline-page-menu mb-4">
            <?php echo $__env->make('admin-views.business-settings.partial.business-setup-nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>

        <div class="card mb-3">
            <div class="card-body">
                <div class="border gap-2 rounded border-primary px-4 py-3 d-flex justify-content-between">
                    <?php ($config=Helpers::get_business_settings('maintenance_mode')); ?>
                    <h5 class="mb-0 d-flex text-primary">
                        <?php echo e(translate('Maintenance_Mode')); ?>

                    </h5>
                    <label class="switcher">
                        <input type="checkbox" class="switcher_input" id="maintenance_mode"
                            <?php echo e(isset($config) && $config?'checked':''); ?>>
                        <span class="switcher_control"></span>
                    </label>
                </div>
                <p class="mb-0 mt-2"><?php echo e(translate('* By turning on maintenance mode all your app and customer side website will be off. Only admin panel and seller panel will be functional')); ?>*</p>
            </div>
        </div>

        <div class="card mb-3">
            <div class="card-header">
                <h4 class="d-flex align-items-center gap-2 mb-0">
                    <i class="tio-settings"></i>
                    <?php echo e(translate('General settings form')); ?>

                </h4>
            </div>
            <div class="card-body">
                <form action="<?php echo e(route('admin.business-settings.update-setup')); ?>" method="post"
                      enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>

                    <div class="row">
                        <?php ($name=Helpers::get_business_settings('restaurant_name')); ?>
                        <div class="col-sm-6 col-lg-4">
                            <div class="form-group">
                                <label class="input-label" for="exampleFormControlInput1"><?php echo e(translate('Shop Name')); ?></label>
                                <input type="text" name="restaurant_name" value="<?php echo e($name); ?>" class="form-control"
                                       placeholder="<?php echo e(translate('ABC Company')); ?>" required>
                            </div>
                        </div>
                        <?php ($currency_code=Helpers::get_business_settings('currency')); ?>
                        <div class="col-sm-6 col-lg-4">
                            <div class="form-group">
                                <label class="input-label" for="exampleFormControlInput1"><?php echo e(translate('currency')); ?></label>
                                <select name="currency" class="form-control js-select2-custom">
                                    <?php $__currentLoopData = \App\Model\Currency::orderBy('currency_code')->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $currency): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($currency['currency_code']); ?>" <?php echo e($currency_code==$currency['currency_code']?'selected':''); ?>>
                                            <?php echo e($currency['currency_code']); ?> ( <?php echo e($currency['currency_symbol']); ?> )
                                        </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>

                        <?php ($phone=Helpers::get_business_settings('phone')); ?>
                        <div class="col-sm-6 col-lg-4">
                            <div class="form-group">
                                <label class="input-label" for="exampleFormControlInput1"><?php echo e(translate('phone')); ?></label>
                                <input type="text" value="<?php echo e($phone); ?>" name="phone" class="form-control"
                                       placeholder="" required>
                            </div>
                        </div>
                        <?php ($email=Helpers::get_business_settings('email_address')); ?>
                        <div class="col-sm-6 col-lg-4">
                            <div class="form-group">
                                <label class="input-label" for="exampleFormControlInput1"><?php echo e(translate('email')); ?></label>
                                <input type="email" value="<?php echo e($email); ?>"
                                       name="email" class="form-control" placeholder="" required>
                            </div>
                        </div>
                        <?php ($address=Helpers::get_business_settings('address')); ?>
                        <div class="col-sm-6 col-lg-4">
                            <div class="form-group">
                                <label class="input-label"
                                       for="exampleFormControlInput1"><?php echo e(translate('address')); ?></label>
                                <input type="text" value="<?php echo e($address); ?>"
                                       name="address" class="form-control" placeholder=""
                                       required>
                            </div>
                        </div>

                        <?php ($pagination_limit=Helpers::get_business_settings('pagination_limit')); ?>
                        <div class="col-sm-6 col-lg-4">
                            <div class="form-group">
                                <label class="input-label"
                                       for="exampleFormControlInput1"><?php echo e(translate('pagination')); ?> <?php echo e(translate('settings')); ?></label>
                                <input type="text" value="<?php echo e($pagination_limit); ?>"
                                       name="pagination_limit" class="form-control" placeholder=""
                                       required>
                            </div>
                        </div>
                        <?php ($mov=Helpers::get_business_settings('minimum_order_value')); ?>
                        <div class="col-sm-6 col-lg-4">
                            <div class="form-group">
                                <label class="input-label"
                                       for="exampleFormControlInput1"><?php echo e(translate('min')); ?> <?php echo e(translate('order')); ?> <?php echo e(translate('value')); ?>

                                    ( <?php echo e(Helpers::currency_symbol()); ?> )</label>
                                <input type="number" min="1" value="<?php echo e($mov); ?>"
                                       name="minimum_order_value" class="form-control" placeholder=""
                                       required>
                            </div>
                        </div>
                        <?php ($country_code=Helpers::get_business_settings('country')??'BD'); ?>
                        <div class="col-sm-6 col-lg-4">
                            <div class="form-group">
                                <label class="input-label" for="country"><?php echo e(translate('country')); ?></label>
                                <select id="country" name="country" class="form-control  js-select2-custom">
                                    <?php $__currentLoopData = COUNTRY_CODE; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($country['code']); ?>" <?php echo e($country['code'] == $country_code ? 'selected' : ''); ?>><?php echo e($country['name']); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-6 col-lg-4">
                            <?php ($sp=Helpers::get_business_settings('self_pickup')); ?>
                            <div class="form-group">
                                <label><?php echo e(translate('self_pickup')); ?></label>
                                <small class="text-danger"> *</small>
                                <div class="input-group input-group-md-down-break">
                                    <div class="form-control">
                                        <div class="custom-control custom-radio">
                                            <input type="radio" class="custom-control-input" value="1"
                                                   name="self_pickup"
                                                   id="sp1" <?php echo e($sp==1?'checked':''); ?>>
                                            <label class="custom-control-label"
                                                   for="sp1"><?php echo e(translate('on')); ?></label>
                                        </div>
                                    </div>

                                    <div class="form-control">
                                        <div class="custom-control custom-radio">
                                            <input type="radio" class="custom-control-input" value="0"
                                                   name="self_pickup"
                                                   id="sp2" <?php echo e($sp==0?'checked':''); ?>>
                                            <label class="custom-control-label"
                                                   for="sp2"><?php echo e(translate('off')); ?></label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6 col-lg-4">
                            <?php ($ev=Helpers::get_business_settings('email_verification')); ?>
                            <div class="form-group">
                                <label><?php echo e(translate('email')); ?> <?php echo e(translate('verification')); ?> ( Token )</label>
                                <small class="text-danger"> *</small>
                                <div class="input-group input-group-md-down-break">
                                    <div class="form-control">
                                        <div class="custom-control custom-radio">
                                            <input type="radio" class="custom-control-input" value="1"
                                                   name="email_verification"
                                                   id="email_verification_on" <?php echo e($ev==1?'checked':''); ?>>
                                            <label class="custom-control-label"
                                                   for="email_verification_on"><?php echo e(translate('on')); ?></label>
                                        </div>
                                    </div>

                                    <div class="form-control">
                                        <div class="custom-control custom-radio">
                                            <input type="radio" class="custom-control-input" value="0"
                                                   name="email_verification"
                                                   id="email_verification_off" <?php echo e($ev==0?'checked':''); ?>>
                                            <label class="custom-control-label"
                                                   for="email_verification_off"><?php echo e(translate('off')); ?></label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 col-sm-6">
                            <?php ($pv=Helpers::get_business_settings('phone_verification')); ?>
                            <div class="form-group">
                                <label><?php echo e(translate('phone')); ?> <?php echo e(translate('verification')); ?> ( OTP
                                    )</label><small class="text-danger"> *</small>
                                <div class="input-group input-group-md-down-break">
                                    <div class="form-control">
                                        <div class="custom-control custom-radio">
                                            <input type="radio" class="custom-control-input" value="1"
                                                   name="phone_verification"
                                                   id="phone_verification_on" <?php echo e((isset($pv) && $pv==1)?'checked':''); ?>>
                                            <label class="custom-control-label"
                                                   for="phone_verification_on"><?php echo e(translate('on')); ?></label>
                                        </div>
                                    </div>

                                    <div class="form-control">
                                        <div class="custom-control custom-radio">
                                            <input type="radio" class="custom-control-input" value="0"
                                                   name="phone_verification"
                                                   id="phone_verification_off" <?php echo e((isset($pv) && $pv==0)?'checked':''); ?>>
                                            <label class="custom-control-label"
                                                   for="phone_verification_off"><?php echo e(translate('off')); ?></label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 col-sm-6">
                            <?php ($current_time_zone=Helpers::get_business_settings('time_zone')); ?>
                            <div class="form-group">
                                <label class="input-label" for="exampleFormControlInput1"><?php echo e(translate('time_zone')); ?></label>
                                <select name="time_zone" id="time_zone" data-maximum-selection-length="3" class="form-control js-select2-custom">
                                    <?php $__currentLoopData = TIME_ZONE; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $time_zone): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($time_zone['key']); ?>" <?php echo e($time_zone['key'] == $current_time_zone ? 'selected' : ''); ?>><?php echo e($time_zone['name']); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>

                        <?php ($footer_text=Helpers::get_business_settings('footer_text')); ?>
                        <div class="col-lg-4 col-sm-6">
                            <div class="form-group">
                                <label class="input-label" for="exampleFormControlInput1"><?php echo e(translate('footer')); ?> <?php echo e(translate('text')); ?></label>
                                <input type="text" value="<?php echo e($footer_text); ?>"
                                       name="footer_text" class="form-control" placeholder="" required>
                            </div>
                        </div>

                        <div class="col-lg-4 col-sm-6">
                            <?php ($config=Helpers::get_business_settings('currency_symbol_position')); ?>
                            <div class="form-group">
                                <label class="d-flex justify-content-between align-items-center"> <?php echo e(translate('Currency Symbol Position')); ?></i> </label>

                                <div class="input-group input-group-md-down-break">
                                    <div class="form-control">
                                        <div class="custom-control custom-radio custom-radio-reverse">
                                            <input type="radio" class="custom-control-input currency-symbol-position"
                                                   name="projectViewNewProjectTypeRadio"
                                                   data-route="<?php echo e(route('admin.business-settings.currency-position',['left'])); ?>"
                                                   id="projectViewNewProjectTypeRadio1" <?php echo e((isset($config) && $config=='left')?'checked':''); ?>>
                                            <label class="custom-control-label media align-items-center" for="projectViewNewProjectTypeRadio1">
                                                <i class="tio-agenda-view-outlined text-muted mr-2"></i>
                                                <span class="media-body"><?php echo e(Helpers::currency_symbol()); ?> <?php echo e(translate('Left')); ?></span>
                                            </label>
                                        </div>
                                    </div>

                                    <div class="form-control">
                                        <div class="custom-control custom-radio custom-radio-reverse">
                                            <input type="radio" class="custom-control-input currency-symbol-position"
                                                   name="projectViewNewProjectTypeRadio"
                                                   data-route="<?php echo e(route('admin.business-settings.currency-position',['right'])); ?>"
                                                   id="projectViewNewProjectTypeRadio2" <?php echo e((isset($config) && $config=='right')?'checked':''); ?>>
                                            <label class="custom-control-label media align-items-center"
                                                   for="projectViewNewProjectTypeRadio2">
                                                <i class="tio-table text-muted mr-2"></i>
                                                <span class="media-body">
                                                    <?php echo e(translate('Right')); ?> <?php echo e(Helpers::currency_symbol()); ?>

                                                    </span>
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 col-sm-6">
                            <?php ($dm_status=Helpers::get_business_settings('dm_self_registration')); ?>
                            <div class="form-group">
                                <label><?php echo e(translate('Deliverman_self_registration')); ?>

                                    <i class="tio-info-outlined"
                                       data-toggle="tooltip"
                                       data-placement="top"
                                       title="<?php echo e(translate('When this field is active, delivery men can register themself using the delivery man app.')); ?>">
                                    </i>
                                </label>
                                <div class="input-group input-group-md-down-break">
                                    <div class="form-control">
                                        <div class="custom-control custom-radio">
                                            <input type="radio" class="custom-control-input" value="1"
                                                   name="dm_self_registration"
                                                   id="dm_self_registration_on" <?php echo e($dm_status==1?'checked':''); ?>>
                                            <label class="custom-control-label"
                                                   for="dm_self_registration_on"><?php echo e(translate('on')); ?></label>
                                        </div>
                                    </div>

                                    <div class="form-control">
                                        <div class="custom-control custom-radio">
                                            <input type="radio" class="custom-control-input" value="0"
                                                   name="dm_self_registration"
                                                   id="dm_self_registration_off" <?php echo e($dm_status==0?'checked':''); ?>>
                                            <label class="custom-control-label"
                                                   for="dm_self_registration_off"><?php echo e(translate('off')); ?></label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 col-sm-6">
                            <div class="form-group">
                                <label class="input-label"
                                       for="exampleFormControlInput1"><?php echo e(translate('product')); ?> <?php echo e(translate('and')); ?> <?php echo e(translate('category')); ?> <?php echo e(translate('translation')); ?></label>
                                <select name="language[]" id="language" data-maximum-selection-length="3"
                                        class="form-control js-select2-custom" required multiple=true>
                                    <?php $__currentLoopData = LANGUAGE_CODE; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($language['code']); ?>"><?php echo e($language['name']); ?> </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>

                    </div>

                    <div class="row">
                        <div class="col-sm-6 col-lg-4">
                            <div class="form-group">
                                <label><?php echo e(translate('Admin Logo')); ?></label>
                                <small class="text-danger"> * ( <?php echo e(translate('ratio')); ?> 3:1 )</small>
                                <div class="custom-file">
                                    <input type="file" name="logo" id="customFileEg1" class="custom-file-input"
                                        accept=".jpg, .png, .jpeg, .gif, .bmp, .tif, .tiff|image/*">
                                    <label class="custom-file-label"
                                        for="customFileEg1"><?php echo e(translate('choose')); ?> <?php echo e(translate('file')); ?></label>
                                </div>

                                <div class="text-center mt-4">
                                    <img class="upload-img-view h-auto max-w-200" id="viewer"
                                        src="<?php echo e($logo); ?>" alt="<?php echo e(translate('logo_image')); ?>"/>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6 col-lg-4">
                            <div class="form-group">
                                <label><?php echo e(translate('Web App Logo')); ?></label>
                                <small class="text-danger"> * ( <?php echo e(translate('ratio')); ?> 1:1 )</small>
                                <div class="custom-file">
                                    <input type="file" name="app_logo" id="customFileEg3" class="custom-file-input"
                                        accept=".jpg, .png, .jpeg, .gif, .bmp, .tif, .tiff|image/*">
                                    <label class="custom-file-label"
                                        for="customFileEg3"><?php echo e(translate('choose')); ?> <?php echo e(translate('file')); ?></label>
                                </div>

                                <div class="text-center mt-4">
                                    <img class="upload-img-view h-auto max-w-200" id="viewer_3"
                                        src="<?php echo e($app_logo); ?>" alt="<?php echo e(translate('app_logo_image')); ?>"/>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6 col-lg-4">
                            <div class="form-group">
                                <label><?php echo e(translate('fav_icon')); ?></label>
                                <small class="text-danger"> * ( <?php echo e(translate('ratio')); ?> 1:1 )</small>
                                <div class="custom-file">
                                    <input type="file" name="fav_icon" id="customFileEg2" class="custom-file-input"
                                        accept=".jpg, .png, .jpeg, .gif, .bmp, .tif, .tiff|image/*">
                                    <label class="custom-file-label"
                                        for="customFileEg2"><?php echo e(translate('choose')); ?> <?php echo e(translate('file')); ?></label>
                                </div>

                                <div class="text-center mt-4">
                                    <img class="upload-img-view h-auto max-w-145" id="viewer_2"
                                        src="<?php echo e($fav_icon); ?>" alt="<?php echo e(translate('fav_icon_image')); ?>"/>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="d-flex justify-content-end gap-3 mt-5">
                        <button type="reset" class="btn btn-secondary"><?php echo e(translate('reset')); ?></button>
                        <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                class="btn btn-primary demo-form-submit"><?php echo e(translate('submit')); ?>

                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script src="<?php echo e(asset('public/assets/admin/js/business-settings.js')); ?>"></script>

    <script>
        "use strict";

        <?php ($language=\App\Model\BusinessSetting::where('key','language')->first()); ?>
        <?php ($language = $language->value ?? null); ?>
        let language = <?php echo($language); ?>;
        $('[id=language]').val(language);

        $('#maintenance_mode').on('click', function (){
            <?php if(env('APP_MODE')=='demo'): ?>{
                toastr.info('Disabled for demo version!')
            }<?php else: ?>{
                Swal.fire({
                    title: '<?php echo e(translate("Are you sure?")); ?>',
                    text:  '<?php echo e(translate("Be careful before you turn on/off maintenance mode")); ?>',
                    type: 'warning',
                    showCancelButton: true,
                    cancelButtonColor: 'default',
                    confirmButtonColor: '#377dff',
                    cancelButtonText: '<?php echo e(translate("No")); ?>',
                    confirmButtonText: '<?php echo e(translate("Yes")); ?>',
                    reverseButtons: true
                }).then((result) => {
                    if (result.value) {
                        $.get({
                            url: '<?php echo e(route('admin.business-settings.maintenance-mode')); ?>',
                            contentType: false,
                            processData: false,
                            beforeSend: function () {
                                $('#loading').show();
                            },
                            success: function (data) {
                                toastr.success(data.message);
                            },
                            complete: function () {
                                $('#loading').hide();
                            },
                        });
                    } else {
                        location.reload();
                    }
                })
            }
            <?php endif; ?>
        })
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/business-settings/restaurant-index.blade.php ENDPATH**/ ?>