<?php $__env->startSection('title', translate('App Settings')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-4">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/system-setting.png')); ?>" alt="<?php echo e(translate('image')); ?>">
                <?php echo e(translate('system_setup')); ?>

            </h2>
        </div>

        <div class="inline-page-menu mb-4">
            <?php echo $__env->make('admin-views.business-settings.partial.system-setup-nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>

        <div class="row gy-3">
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header">
                        <h5 class="mb-0"><?php echo e(translate('Android')); ?></h5>
                    </div>
                    <div class="card-body">
                        <?php ($config=Helpers::get_business_settings('play_store_config')); ?>
                        <form
                            action="<?php echo e(env('APP_MODE')!='demo'?route('admin.business-settings.app_setting',['platform' => 'android']):'javascript:'); ?>" method="post">
                            <?php echo csrf_field(); ?>
                            <div class="d-flex align-items-center gap-3 mb-3">
                                <label class="text-dark font-weight-bold mb-0" for="play_store_status"><?php echo e(translate('Enable download link for web footer')); ?></label>
                                <label class="switcher">
                                    <input type="checkbox" class="switcher_input" id="play_store_status" name="play_store_status"
                                            value="1" <?php echo e((isset($config) && $config['status']==1)?'checked':''); ?>>
                                    <span class="switcher_control"></span>
                                </label>
                            </div>

                            <div class="mb-4">
                                <label class="text-dark" for="app_store_link"><?php echo e(translate('Download link')); ?></label>
                                <input type="text" id="play_store_link" name="play_store_link"
                                        value="<?php echo e($config['link']??''); ?>" class="form-control">
                            </div>

                            <div class="mb-4">
                                <label class="text-dark" for="android_min_version"><?php echo e(translate('Minimum version for force update')); ?>

                                    <i class="tio-info text-danger" data-toggle="tooltip" data-placement="right"
                                        title="<?php echo e(translate("If there is any update available in the admin panel and for that, the previous user app will not work, you can force the customer from here by providing the minimum version for force update. That means if a customer has an app below this version the customers must need to update the app first. If you don't need a force update just insert here zero (0) and ignore it.")); ?>"></i>
                                </label>
                                <input type="number" min="0" step=".1" id="android_min_version" name="android_min_version"
                                        value="<?php echo e($config['min_version']??''); ?>" class="form-control"
                                        placeholder="<?php echo e(translate('EX: 4.0')); ?>">
                            </div>

                            <div class="d-flex justify-content-end">
                                <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                    class="btn btn-primary demo-form-submit"><?php echo e(translate('save')); ?>

                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header">
                        <h5 class="mb-0"><?php echo e(translate('IOS')); ?></h5>
                    </div>
                    <div class="card-body">
                        <?php ($config=Helpers::get_business_settings('app_store_config')); ?>
                        <form action="<?php echo e(env('APP_MODE')!='demo'?route('admin.business-settings.app_setting',['platform' => 'ios']):'javascript:'); ?>" method="post">
                            <?php echo csrf_field(); ?>
                            <div class="d-flex align-items-center gap-3 mb-3">
                                <label class="text-dark font-weight-bold mb-0" for="app_store_status2"><?php echo e(translate('Enable download link for web footer')); ?></label>
                                <label class="switcher">
                                    <input type="checkbox" class="switcher_input" id="app_store_status2" name="app_store_status"
                                            value="1" <?php echo e((isset($config) && $config['status']==1)?'checked':''); ?>>
                                    <span class="switcher_control"></span>
                                </label>
                            </div>

                            <div class="mb-4">
                                <label class="text-dark"
                                        for="app_store_link"><?php echo e(translate('Download link')); ?>

                                </label>
                                <input type="text" id="app_store_link" name="app_store_link"
                                        value="<?php echo e($config['link']??''); ?>" class="form-control" placeholder="">
                            </div>

                            <div class="mb-4">
                                <label class="text-dark"
                                        for="ios_min_version"><?php echo e(translate('Minimum version for force update')); ?>

                                    <i class="tio-info text-danger" data-toggle="tooltip" data-placement="right"
                                        title="<?php echo e(translate("If there is any update available in the admin panel and for that, the previous user app will not work, you can force the customer from here by providing the minimum version for force update. That means if a customer has an app below this version the customers must need to update the app first. If you don't need a force update just insert here zero (0) and ignore it.")); ?>"></i>
                                </label>
                                <input type="number" min="0" step=".1" id="ios_min_version" name="ios_min_version"
                                        value="<?php echo e($config['min_version']??''); ?>" class="form-control"
                                        placeholder="<?php echo e(translate('EX: 4.0')); ?>">
                            </div>

                            <div class="d-flex justify-content-end">
                                <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                    class="btn btn-primary demo-form-submit"><?php echo e(translate('save')); ?></button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/business-settings/app-setting-index.blade.php ENDPATH**/ ?>