<?php $__env->startSection('title', translate('Flash sale')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="16" src="<?php echo e(asset('public/assets/admin/img/icons/flash-sale.png')); ?>" alt="<?php echo e(translate('flash-sale')); ?>">
                <?php echo e(translate('Flash sale')); ?>

            </h2>
        </div>

        <div class="card">
            <div class="card-body">
                <form action="<?php echo e(route('admin.flash-sale.store')); ?>" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>

                    <div class="row">
                        <div class="col-md-4">
                            <div class="mb-4">
                                <label class="input-label"><?php echo e(translate('Title')); ?></label>
                                <input type="text" name="title" class="form-control" placeholder="<?php echo e(translate('Ex : LUX')); ?>" required maxlength="255">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="mb-4">
                                <label class="input-label"><?php echo e(translate('Start Date')); ?></label>
                                <input type="datetime-local" name="start_date" id="start_date" class="form-control" required>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="mb-4">
                                <label class="input-label"><?php echo e(translate('End Date')); ?></label>
                                <input type="datetime-local" name="end_date" id="end_date" class="form-control" required>
                            </div>
                        </div>
                    </div>

                    <div class="d-flex justify-content-end gap-3">
                        <button type="reset" class="btn btn-secondary px-5"><?php echo e(translate('reset')); ?></button>
                        <button type="submit" class="btn btn-primary px-5"><?php echo e(translate('submit')); ?></button>
                    </div>
                </form>
            </div>
        </div>

        <div class="card mt-4">
            <div class="px-20 py-3">
                <div class="row gy-2 align-items-center">
                    <div class="col-sm-4">
                        <h5 class="text-capitalize d-flex align-items-center gap-2 mb-0">
                            <?php echo e(translate('Flash sale Table')); ?>

                            <span class="badge badge-soft-dark rounded-50 fz-12"><?php echo e($flashSales->total()); ?></span>
                        </h5>
                    </div>
                    <div class="col-sm-8">
                        <div class="d-flex flex-wrap justify-content-sm-end gap-2">
                            <form  action="<?php echo e(url()->current()); ?>" method="GET">
                                <div class="input-group">
                                    <input id="datatableSearch_" type="search" name="search"
                                        class="form-control" value="<?php echo e($search); ?>"
                                        placeholder="<?php echo e(translate('Search by Title')); ?>" aria-label="Search"
                                           required autocomplete="off">
                                    <div class="input-group-append">
                                        <button type="submit" class="btn btn-primary"><?php echo e(translate('search')); ?>

                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

            <div class="table-responsive datatable-custom">
                <table class="table table-borderless table-thead-bordered table-nowrap table-align-middle card-table">
                    <thead class="thead-light">
                        <tr>
                            <th><?php echo e(translate('SL')); ?></th>
                            <th><?php echo e(translate('Title')); ?></th>
                            <th><?php echo e(translate('Duration')); ?></th>
                            <th><?php echo e(translate('status')); ?></th>
                            <th><?php echo e(translate('Active Products')); ?></th>
                            <th><?php echo e(translate('Publish')); ?></th>
                            <th class="text-center"><?php echo e(translate('action')); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php $__currentLoopData = $flashSales; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $flash_sale): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td> <?php echo e($flashSales->firstitem()+$key); ?></td>
                            <td>
                                <span class="d-block font-size-sm text-body text-trim-25">
                                    <?php echo e($flash_sale['title']); ?>

                                </span>
                            </td>
                            <td><?php echo e(date('Y-m-d H:i A',strtotime($flash_sale['start_date']))); ?> - <?php echo e(date('Y-m-d H:i A',strtotime($flash_sale['end_date']))); ?></td>
                            <td>
                                <?php if(\Carbon\Carbon::parse($flash_sale['end_date'])->endOfDay()->isPast()): ?>
                                    <span class="badge badge-soft-danger"><?php echo e(translate('expired')); ?> </span>
                                <?php else: ?>
                                    <span class="badge badge-soft-success"> <?php echo e(translate('active')); ?> </span>
                                <?php endif; ?>
                            </td>
                            <td><?php echo e($flash_sale->products_count); ?></td>
                            <td>
                                <label class="switcher">
                                    <input type="checkbox" class="switcher_input route-alert"
                                           data-route="<?php echo e(route('admin.flash-sale.status', [$flash_sale->id, $flash_sale->status ? 0 : 1])); ?>"
                                           data-message="<?php echo e($flash_sale->status? translate('you_want_to_disable_this'): translate('you_want_to_active_this')); ?>"
                                        <?php echo e($flash_sale->status ? 'checked' : ''); ?> >
                                    <span class="switcher_control"></span>
                                </label>
                            </td>
                            <td>
                                <div class="d-flex justify-content-center gap-2">
                                    <a class="btn btn-soft-primary btn-sm py-1" href="<?php echo e(route('admin.flash-sale.add-product', [$flash_sale['id']])); ?>">
                                        <i class="tio tio-add"></i> <?php echo e(translate('Add Product')); ?>

                                    </a>
                                    <a class="btn btn-outline-info square-btn" href="<?php echo e(route('admin.flash-sale.edit',[$flash_sale['id']])); ?>">
                                        <i class="tio tio-edit"></i>
                                    </a>
                                    <a class="btn btn-outline-danger square-btn form-alert" href="javascript:"
                                       data-id="deal-<?php echo e($flash_sale['id']); ?>"
                                       data-message="<?php echo e(translate("Want to delete this")); ?>">
                                        <i class="tio tio-delete"></i>
                                    </a>
                                </div>
                                <form action="<?php echo e(route('admin.flash-sale.delete',[$flash_sale['id']])); ?>"
                                      method="post" id="deal-<?php echo e($flash_sale['id']); ?>">
                                    <?php echo csrf_field(); ?> <?php echo method_field('delete'); ?>
                                </form>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>

             <div class="table-responsive mt-4 px-3">
                <div class="d-flex justify-content-end">
                    <?php echo $flashSales->links(); ?>

                </div>
            </div>
             <?php if(count($flashSales)==0): ?>
                <div class="text-center p-4">
                    <img class="mb-3 width-7rem" src="<?php echo e(asset('public/assets/admin/svg/illustrations/sorry.svg')); ?>" alt="Image Description">
                    <p class="mb-0"><?php echo e(translate('No data to show')); ?></p>
                </div>
            <?php endif; ?>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script src="<?php echo e(asset('public/assets/admin/js/image-upload.js')); ?>"></script>

    <script>
        "use strict"

        $('#start_date, #end_date').change(function () {
            let from = $('#start_date').val();
            let to = $('#end_date').val();
            if (from != '' && to != '') {
                if (from > to) {
                    $('#start_date').val('');
                    $('#end_date').val('');
                    toastr.error('Invalid date range!', Error, {
                        CloseButton: true,
                        ProgressBar: true
                    });
                }
            }
        });

    </script>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/flash-sale/index.blade.php ENDPATH**/ ?>