<?php $__env->startSection('title', translate('branch_list')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/branch.png')); ?>" alt="<?php echo e(translate('branch')); ?>">
                <?php echo e(translate('branch_list')); ?>

            </h2>
        </div>

        <div class="card">
            <div class="px-20 py-3">
                <div class="row gy-2 align-items-center">
                    <div class="col-sm-4">
                        <h5 class="text-capitalize d-flex align-items-center gap-2 mb-0">
                            <?php echo e(translate('branch_table')); ?>

                            <span class="badge badge-soft-dark rounded-50 fz-12"><?php echo e($branches->total()); ?></span>
                        </h5>
                    </div>
                    <div class="col-sm-8">
                        <div class="d-flex flex-wrap justify-content-sm-end gap-2">
                            <form action="#" method="GET">
                                <div class="input-group">
                                    <input id="datatableSearch_" type="search" name="search"
                                        class="form-control"
                                        placeholder="<?php echo e(translate('Search by branch Name')); ?>" aria-label="Search"
                                        value="" required autocomplete="off">
                                    <div class="input-group-append">
                                        <button type="submit" class="btn btn-primary"><?php echo e(translate('search')); ?>

                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

            <div class="table-responsive datatable-custom">
                <table class="table table-borderless table-thead-bordered table-nowrap table-align-middle card-table">
                    <thead class="thead-light">
                        <tr>
                            <th><?php echo e(translate('SL')); ?></th>
                            <th><?php echo e(translate('branch_name')); ?></th>
                            <th><?php echo e(translate('branch_type')); ?></th>
                            <th><?php echo e(translate('Contact_info')); ?></th>
                            <th class="text-center"><?php echo e(translate('action')); ?></th>
                        </tr>
                    </thead>

                    <tbody>
                    <?php $__currentLoopData = $branches; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$branch): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($branches->firstItem()+$key); ?></td>
                            <td>
                                <div class="media gap-3 align-items-center">
                                    <div class="avatar">
                                        <img class="img-fit"
                                            src="<?php echo e($branch['image_fullpath']); ?>" alt="<?php echo e(translate('branch')); ?>">
                                    </div>
                                    <div class="media-body">
                                        <?php echo e($branch['name']); ?>

                                    </div>
                                </div>
                            </td>
                            <td>
                                <?php if($branch['id']==1): ?>
                                    <div class="text-capitalize"><?php echo e(translate('main_branch')); ?></div>
                                <?php else: ?>
                                    <div class="text-capitalize"><?php echo e(translate('sub_branch')); ?></div>
                                <?php endif; ?>
                            </td>
                            <td>
                                <a class="text-dark" href="mailto:<?php echo e($branch['email']); ?>?subject=<?php echo e(translate('Mail from '). \App\Model\BusinessSetting::where(['key' => 'restaurant_name'])->first()->value); ?>"><?php echo e($branch['email']); ?></a>
                            </td>
                            <td>
                                <div class="d-flex justify-content-center gap-2">
                                    <a class="btn btn-outline-info square-btn"
                                        href="<?php echo e(route('admin.branch.edit',[$branch['id']])); ?>"><i class="tio tio-edit"></i></a>
                                    <?php if($branch['id']!=1): ?>
                                        <a class="btn btn-outline-danger square-btn form-alert" href="javascript:"
                                           data-id="branch-<?php echo e($branch['id']); ?>"
                                           data-message="<?php echo e(translate('Want to delete this branch ?')); ?>">
                                            <i class="tio tio-delete"></i>
                                        </a>
                                    <?php endif; ?>
                                </div>
                                <form action="<?php echo e(route('admin.branch.delete',[$branch['id']])); ?>"
                                        method="post" id="branch-<?php echo e($branch['id']); ?>">
                                    <?php echo csrf_field(); ?> <?php echo method_field('delete'); ?>
                                </form>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>

            <div class="table-responsive mt-4 px-3">
                <div class="d-flex justify-content-end">
                    <?php echo $branches->links(); ?>

                </div>
            </div>
            <?php if(count($branches)==0): ?>
                <div class="text-center p-4">
                    <img class="mb-3 width-7rem" src="<?php echo e(asset('public/assets/admin/svg/illustrations/sorry.svg')); ?>" alt="Image Description">
                    <p class="mb-0"><?php echo e(translate('No data to show')); ?></p>
                </div>
            <?php endif; ?>
        </div>
    </div>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/branch/list.blade.php ENDPATH**/ ?>