<?php $__env->startSection('title', translate('Customer List')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/customer.png')); ?>" alt="<?php echo e(translate('customer')); ?>">
                <?php echo e(translate('customers')); ?>

            </h2>
        </div>

        <div class="card">
            <div class="px-20 py-3 d-flex flex-wrap gap-3 justify-content-between">
                <h5 class="d-flex align-items-center gap-2 mb-0">
                    <?php echo e(translate('customer_List')); ?>

                    <span class="badge badge-soft-dark rounded-50 fz-12"><?php echo e($customers->total()); ?></span>
                </h5>
                <form action="<?php echo e(url()->current()); ?>" method="GET">
                    <div class="input-group">
                        <input id="datatableSearch_" type="search" name="search"
                            class="form-control"
                            placeholder="<?php echo e(translate('Search by Name')); ?>" aria-label="Search"
                            value="<?php echo e($search); ?>" required autocomplete="off">
                        <div class="input-group-append">
                            <button type="submit" class="btn btn-primary"><?php echo e(translate('search')); ?>

                            </button>
                        </div>
                    </div>
                </form>
            </div>

            <div class="table-responsive datatable-custom">
                <table class="table table-hover table-borderless table-thead-bordered table-nowrap table-align-middle card-table">
                    <thead class="thead-light">
                        <tr>
                            <th><?php echo e(translate('SL')); ?></th>
                            <th><?php echo e(translate('customer_name')); ?></th>
                            <th><?php echo e(translate('contact_info')); ?></th>
                            <th><?php echo e(translate('total_Order')); ?></th>
                            <th class="text-center"><?php echo e(translate('actions')); ?></th>
                        </tr>
                    </thead>

                    <tbody id="set-rows">
                    <?php $__currentLoopData = $customers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$customer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td>
                                <?php echo e($customers->firstitem()+$key); ?>

                            </td>
                            <td>
                                <a class="text-dark media gap-3 align-items-center" href="<?php echo e(route('admin.customer.view',[$customer['id']])); ?>">
                                    <div class="avatar rounded-circle">
                                        <img class="img-fit rounded-circle" src="<?php echo e($customer['image_fullpath']); ?>" alt="<?php echo e(translate('customer')); ?>">
                                    </div>
                                    <div class="media-body"><?php echo e($customer['f_name']." ".$customer['l_name']); ?></div>
                                </a>
                            </td>
                            <td>
                                <div><a class="text-dark" href="mailto:<?php echo e($customer['email']); ?>"><?php echo e($customer['email']); ?></a></div>
                                <div><a class="text-dark" href="tel:<?php echo e($customer['phone']); ?>"><?php echo e($customer['phone']); ?></a></div>
                            </td>
                            <td>
                                <label class="badge badge-soft-info">
                                    <?php echo e($customer->orders->count()); ?>

                                </label>
                            </td>
                            <td>
                                <div class="d-flex justify-content-center gap-2">
                                    <a class="btn btn-outline-primary btn-sm square-btn" href="<?php echo e(route('admin.customer.view',[$customer['id']])); ?>">
                                        <i class="tio-visible"></i>
                                    </a>
                                </div>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>

            <div class="table-responsive mt-4 px-3">
                <div class="d-flex justify-content-end">
                    <?php echo $customers->links(); ?>

                </div>
            </div>
            <?php if(count($customers)==0): ?>
                <div class="text-center p-4">
                    <img class="mb-3 width-7rem" src="<?php echo e(asset('public/assets/admin//svg/illustrations/sorry.svg')); ?>" alt="<?php echo e(translate('image')); ?>">
                    <p class="mb-0"><?php echo e(translate('No data to show')); ?></p>
                </div>
            <?php endif; ?>
        </div>
    </div>
<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/customer/list.blade.php ENDPATH**/ ?>