<?php $__env->startSection('title', translate('Update banner')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/banner.png')); ?>" alt="<?php echo e(translate('banner')); ?>">
                <?php echo e(translate('update_banner')); ?>

            </h2>
        </div>

        <div class="card">
            <div class="card-body">
                <form action="<?php echo e(route('admin.banner.update',[$banner['id']])); ?>" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?> <?php echo method_field('put'); ?>

                    <div class="row">
                        <div class="col-md-6">
                            <div class="mb-5">
                                <label class="input-label"><?php echo e(translate('title')); ?></label>
                                <input type="text" name="title" value="<?php echo e($banner['title']); ?>" class="form-control"
                                       placeholder="<?php echo e(translate('New banner')); ?>" required>
                            </div>
                            <div class="mb-5">
                                <label class="input-label"><?php echo e(translate('Banner')); ?> <?php echo e(translate('type')); ?><span
                                        class="input-label-secondary text-danger">*</span></label>
                                <select name="banner_type" class="form-control" id="banner_type">
                                    <option value="primary" <?php echo e($banner['banner_type'] == 'primary' ? 'selected' : ''); ?>><?php echo e(translate('Primary Banner')); ?></option>
                                    <option value="secondary" <?php echo e($banner['banner_type'] == 'secondary' ? 'selected' : ''); ?>><?php echo e(translate('Secondary Banner')); ?></option>
                                </select>
                            </div>
                            <div class="mb-5">
                                <label class="input-label"><?php echo e(translate('Redirection')); ?> <?php echo e(translate('type')); ?><span
                                        class="input-label-secondary">*</span></label>
                                <select name="item_type" class="form-control" id="redirection_type">
                                    <option value="product" <?php echo e($banner['product_id']==null?'':'selected'); ?>><?php echo e(translate('product')); ?></option>
                                    <option value="category" <?php echo e($banner['category_id']==null?'':'selected'); ?>><?php echo e(translate('category')); ?></option>
                                </select>
                            </div>

                            <div class="mb-5 type-product <?php echo e($banner['product_id'] == null ? 'd--none':'d-block'); ?>" id="type-product">
                                <label class="input-label" for="exampleFormControlSelect1"><?php echo e(translate('product')); ?>

                                    <span class="input-label-secondary">*</span>
                                </label>
                                <select name="product_id" class="form-control js-select2-custom">
                                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option
                                            value="<?php echo e($product['id']); ?>" <?php echo e($banner['product_id']==$product['id']?'selected':''); ?>>
                                            <?php echo e($product['name']); ?>

                                        </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <div class="mb-5 type-category <?php echo e($banner['category_id']==null?'d--none':'d-block'); ?>" id="type-category">
                                <label class="input-label" for="exampleFormControlSelect1"><?php echo e(translate('category')); ?>

                                    <span class="input-label-secondary">*</span>
                                </label>
                                <select name="category_id" class="form-control js-select2-custom">
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($category['id']); ?>" <?php echo e($banner['category_id']==$category['id']?'selected':''); ?>><?php echo e($category['name']); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>


                        </div>
                        <div class="col-md-6">
                            <div class="form-group <?php echo e($banner->banner_type != 'primary' ? 'd--none': ''); ?>" id="primary_banner">
                                <label class="mb-2"><?php echo e(translate('Image')); ?></label>
                                <div class="custom_upload_input max-h200px ratio-2">
                                    <input type="file" name="primary_image" class="custom-upload-input-file meta-img" id="" data-imgpreview="pre_meta_image_viewer"
                                           accept=".jpg, .png, .jpeg, .gif, .bmp, .tif, .tiff|image/*">

                                    <div class="img_area_with_preview position-absolute z-index-2">
                                        <img id="pre_meta_image_viewer" class="aspect-1 bg-white" src="img" onerror="this.classList.add('d-none')" alt="<?php echo e(translate('img')); ?>">
                                    </div>
                                    <div class="position-absolute h-100 top-0 w-100 d-flex align-content-center justify-content-center existing-image-div">
                                        <div class="d-flex flex-column justify-content-center align-items-center overflow-hidden">
                                            <img
                                                  src="<?php echo e(Helpers::onErrorImage(
                                                            $banner['image'],
                                                            asset('storage/app/public/banner').'/' . $banner['image'],
                                                            asset('public/assets/admin/img/ratio/2_1.png') ,
                                                            'banner/')); ?>"
                                                  class="w-100" alt="<?php echo e(translate('banner')); ?>">
                                        </div>
                                    </div>
                                </div>

                                <p class="fs-16 mb-2 text-dark mt-2">
                                    <i class="tio-info-outlined cursor-pointer" data-toggle="tooltip"
                                       title="<?php echo e(translate('When do not have secondary banner than the primary banner ration will be 3:1')); ?>">
                                    </i>
                                    <?php echo e(translate('Images Ratio')); ?> 2:1
                                </p>
                                <p class="fs-14 text-muted mb-0"><?php echo e(translate('Image format : jpg, png, jpeg | Maximum Size')); ?> : 2 MB</p>
                            </div>

                            <div class="form-group <?php echo e($banner->banner_type != 'secondary' ? 'd--none': ''); ?>" id="secondary_banner">
                                <label class="mb-2"><?php echo e(translate('Image')); ?></label>
                                <div class="custom_upload_input max-h200px ratio-1">
                                    <input type="file" name="secondary_image" class="custom-upload-input-file meta-img" id="" data-imgpreview="pre_meta_image_viewer"
                                           accept=".jpg, .png, .jpeg, .gif, .bmp, .tif, .tiff|image/*">

                                    <div class="img_area_with_preview position-absolute z-index-2">
                                        <img id="pre_meta_image_viewer" class="aspect-1 bg-white" src="img" onerror="this.classList.add('d-none')" alt="<?php echo e(translate('img')); ?>">
                                    </div>
                                    <div class="position-absolute h-100 top-0 w-100 d-flex align-content-center justify-content-center existing-image-div">
                                        <div class="d-flex flex-column justify-content-center align-items-center overflow-hidden">
                                            <img
                                                src="<?php echo e(Helpers::onErrorImage(
                                                            $banner['image'],
                                                            asset('storage/app/public/banner').'/' . $banner['image'],
                                                            asset('public/assets/admin/img/ratio/1_1.png') ,
                                                            'banner/')); ?>"
                                                  class="w-100" alt="<?php echo e(translate('banner')); ?>">
                                        </div>
                                    </div>
                                </div>

                                <p class="fs-16 mb-2 text-dark mt-2"><?php echo e(translate('Banner Images Ratio')); ?> 1:1</p>
                                <p class="fs-14 text-muted mb-0"><?php echo e(translate('Image format : jpg, png, jpeg | Maximum Size')); ?> : 2 MB</p>
                            </div>

                        </div>
                    </div>
                    <div class="d-flex justify-content-end gap-3">
                        <button type="reset" class="btn btn-secondary px-5"><?php echo e(translate('reset')); ?></button>
                        <button type="submit" class="btn btn-primary px-5"><?php echo e(translate('update')); ?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script src="<?php echo e(asset('public/assets/admin/js/image-upload.js')); ?>"></script>
    <script src="<?php echo e(asset('public/assets/admin/js/banner.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/banner/edit.blade.php ENDPATH**/ ?>