<?php $__env->startSection('title', translate('Product Bulk Import')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/bulk-import.png')); ?>" alt="<?php echo e(translate('bulk-import')); ?>">
                <?php echo e(translate('bulk_import')); ?>

            </h2>
        </div>

        <div class="card mb-3">
            <div class="card-body">
                <h2 class="display-4 mb-3"><?php echo e(translate('Instructions')); ?> : </h2>
                <ol class="d-flex flex-column gap-2 pl-4">
                    <li><?php echo e(translate(' Download the format file and fill it with proper data.')); ?></li>
                    <li><?php echo e(translate(' You can download the example file to understand how the data must be filled.')); ?></li>
                    <li><?php echo e(translate(' Once you have downloaded and filled the format file, upload it in the form below and submit.')); ?></li>
                    <li><?php echo e(translate(" After uploading products you need to edit them and set product's images and choices.")); ?></li>
                    <li><?php echo e(translate(' You can get category and sub-category id from their list, please input the right ids.')); ?></li>
                </ol>
            </div>
        </div>

        <div class="card">
            <div class="card-body">
                <form class="product-form" action="<?php echo e(route('admin.product.bulk-import')); ?>" method="POST" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="rest-part">
                        <div class="d-flex flex-wrap justify-content-center gap-3 align-items-center mb-4">
                            <h4 class="mb-0"><?php echo e(translate('Don`t have the template')); ?>?</h4>
                            <a href="<?php echo e(asset('public/assets/product_bulk_format.xlsx')); ?>" download=""
                            class="text-primary font-weight-bold fs-16"><?php echo e(translate('Download Format')); ?></a>
                        </div>
                        <div class="form-group">
                            <div class="row justify-content-center">
                                <div class="col-auto">
                                    <div class="upload-file">
                                        <input type="file" name="products_file" accept=".xlsx, .xls" class="upload-file__input">
                                        <div class="upload-file__img_drag upload-file__img">
                                            <img src="<?php echo e(asset('public/assets/admin/img/icons/drag-upload-file.png')); ?>" alt="<?php echo e(translate('upload')); ?>">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="d-flex justify-content-end gap-3">
                        <button type="reset" class="btn btn-secondary"><?php echo e(translate('reset')); ?></button>
                        <button type="submit" class="btn btn-primary"><?php echo e(translate('Submit')); ?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/product/bulk-import.blade.php ENDPATH**/ ?>