<?php $__env->startSection('title', translate('Update delivery-man')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/deliveryman.png')); ?>" alt="">
                <?php echo e(translate('update_Deliveryman')); ?>

            </h2>
        </div>

        <form action="<?php echo e(route('admin.delivery-man.update',[$deliveryMan['id']])); ?>" method="post" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <div class="card mb-3">
                <div class="card-header">
                    <h5 class="mb-0">
                        <i class="tio-user"></i><?php echo e(translate('general_Information')); ?>

                    </h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="input-label"><?php echo e(translate('first')); ?> <?php echo e(translate('name')); ?></label>
                                <input type="text" value="<?php echo e($deliveryMan['f_name']); ?>" name="f_name"
                                       class="form-control" placeholder="<?php echo e(translate('New delivery-man')); ?>"
                                       required>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="input-label"><?php echo e(translate('last')); ?> <?php echo e(translate('name')); ?></label>
                                <input type="text" value="<?php echo e($deliveryMan['l_name']); ?>" name="l_name"
                                       class="form-control" placeholder="<?php echo e(translate('Last Name')); ?>"
                                       required>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="input-label"><?php echo e(translate('phone')); ?></label>
                                <input type="text" name="phone" value="<?php echo e($deliveryMan['phone']); ?>" class="form-control"
                                       placeholder="<?php echo e(translate('Ex : 017********')); ?>"
                                       required>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="input-label"><?php echo e(translate('branch')); ?></label>
                                <select name="branch_id" class="form-control">
                                    <option value="0" <?php echo e($deliveryMan['branch_id']==0?'selected':''); ?>><?php echo e(translate('all')); ?></option>
                                    <?php $__currentLoopData = \App\Model\Branch::all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $branch): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($branch['id']); ?>" <?php echo e($deliveryMan['branch_id']==$branch['id']?'selected':''); ?>><?php echo e($branch['name']); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="input-label"><?php echo e(translate('identity')); ?> <?php echo e(translate('type')); ?></label>
                                <select name="identity_type" class="form-control">
                                    <option
                                        value="passport" <?php echo e($deliveryMan['identity_type']=='passport'?'selected':''); ?>>
                                        <?php echo e(translate('passport')); ?>

                                    </option>
                                    <option
                                        value="driving_license" <?php echo e($deliveryMan['identity_type']=='driving_license'?'selected':''); ?>>
                                        <?php echo e(translate('driving')); ?> <?php echo e(translate('license')); ?>

                                    </option>
                                    <option value="nid" <?php echo e($deliveryMan['identity_type']=='nid'?'selected':''); ?>><?php echo e(translate('nid')); ?>

                                    </option>
                                    <option
                                        value="restaurant_id" <?php echo e($deliveryMan['identity_type']=='restaurant_id'?'selected':''); ?>>
                                        <?php echo e(translate('store')); ?> <?php echo e(translate('id')); ?>

                                    </option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="input-label"><?php echo e(translate('identity')); ?> <?php echo e(translate('number')); ?></label>
                                <input type="text" name="identity_number" value="<?php echo e($deliveryMan['identity_number']); ?>"
                                       class="form-control"
                                       placeholder="<?php echo e(translate('Ex : DH-23434-LS')); ?>"
                                       required>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <div class="mb-3 align-content-center">
                                    <img class="upload-img-view" id="viewer"
                                         src="<?php echo e($deliveryMan['image-fullpath']); ?>" alt="delivery-man image"/>
                                </div>
                                <label><?php echo e(translate('deliveryman')); ?> <?php echo e(translate('image')); ?></label>
                                <small class="text-danger">* ( <?php echo e(translate('ratio')); ?> 1:1 )</small>
                                <div class="custom-file">
                                    <input type="file" name="image" id="customFileEg1" class="custom-file-input"
                                           accept=".jpg, .png, .jpeg, .gif, .bmp, .tif, .tiff|image/*">
                                    <label class="custom-file-label" for="customFileEg1"><?php echo e(translate('choose')); ?> <?php echo e(translate('file')); ?></label>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="input-label"><?php echo e(translate('identity')); ?> <?php echo e(translate('image')); ?></label>
                                <div>
                                    <div class="row" id="coba"></div>
                                </div>
                            </div>

                            <div class="row">
                                <?php $__currentLoopData = $deliveryMan['identity_image_fullpath']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $img): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="col-6 col-sm-4 col-md-6">
                                        <div><img class="mx-w100 max-h150px" src="<?php echo e($img); ?>" alt="<?php echo e(translate('image')); ?>"></div>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header">
                    <h5 class="mb-0">
                        <i class="tio-user"></i>
                        <?php echo e(translate('account_Information')); ?>

                    </h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="input-label"><?php echo e(translate('email')); ?></label>
                                <input type="email" value="<?php echo e($deliveryMan['email']); ?>" name="email" class="form-control"
                                       placeholder="<?php echo e(translate('Ex : ex@example.com')); ?>"
                                       required>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="input-label"><?php echo e(translate('password')); ?></label>
                                <div class="input-group input-group-merge">
                                    <input type="password" name="password" class="js-toggle-password form-control input-field"
                                           placeholder="<?php echo e(translate('Password minimum 6 characters')); ?>"
                                           data-hs-toggle-password-options='{
                                        "target": "#changePassTarget",
                                        "defaultClass": "tio-hidden-outlined",
                                        "showClass": "tio-visible-outlined",
                                        "classChangeTarget": "#changePassIcon"
                                        }'>
                                    <div id="changePassTarget" class="input-group-append">
                                        <a class="input-group-text" href="javascript:">
                                            <i id="changePassIcon" class="tio-visible-outlined"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="input-label"><?php echo e(translate('confirm_Password')); ?></label>
                                <div class="input-group input-group-merge">
                                    <input type="password" name="password_confirmation" class="js-toggle-password form-control input-field"
                                           placeholder="<?php echo e(translate('Password minimum 6 characters')); ?>"
                                           data-hs-toggle-password-options='{
                                        "target": "#changeConPassTarget",
                                        "defaultClass": "tio-hidden-outlined",
                                        "showClass": "tio-visible-outlined",
                                        "classChangeTarget": "#changeConPassIcon"
                                        }'>
                                    <div id="changeConPassTarget" class="input-group-append">
                                        <a class="input-group-text" href="javascript:">
                                            <i id="changeConPassIcon" class="tio-visible-outlined"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="d-flex justify-content-end gap-3">
                        <button type="reset" class="btn btn-secondary"><?php echo e(translate('reset')); ?></button>
                        <button type="submit" class="btn btn-primary"><?php echo e(translate('submit')); ?></button>
                    </div>
                </div>
            </div>
        </form>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script src="<?php echo e(asset('public/assets/admin/js/deliveryman.js')); ?>"></script>
    <script src="<?php echo e(asset('public/assets/admin/js/spartan-multi-image-picker.js')); ?>"></script>
    <script type="text/javascript">
        "use strict"

        $(function () {
            $("#coba").spartanMultiImagePicker({
                fieldName: 'identity_image[]',
                maxCount: 5,
                rowHeight: '120px',
                groupClassName: 'col-6 col-sm-4 col-md-6',
                maxFileSize: '',
                placeholderImage: {
                    image: '<?php echo e(asset('public/assets/admin/img/400x400/img2.jpg')); ?>',
                    width: '100%'
                },
                dropFileLabel: "Drop Here",
                onAddRow: function (index, file) {

                },
                onRenderedPreview: function (index) {

                },
                onRemoveRow: function (index) {

                },
                onExtensionErr: function (index, file) {
                    toastr.error('<?php echo e(translate("Please only input png or jpg type file")); ?>', {
                        CloseButton: true,
                        ProgressBar: true
                    });
                },
                onSizeErr: function (index, file) {
                    toastr.error('<?php echo e(translate("File size too big")); ?>', {
                        CloseButton: true,
                        ProgressBar: true
                    });
                }
            });
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/delivery-man/edit.blade.php ENDPATH**/ ?>