<?php $__env->startSection('title', translate('Order List')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="d-flex flex-wrap gap-3 align-items-center mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img src="<?php echo e(asset('public/assets/admin/img/icons/all_orders.png')); ?>" alt="<?php echo e(translate('orders')); ?>"><?php echo e(translate('all_orders')); ?>

            </h2>
            <span class="badge badge-soft-dark rounded-50 fs-14"><?php echo e($orders->total()); ?></span>
        </div>

        <div class="card">
            <div class="card mb-4">
                <div class="card-body">
                    <form action="#" id="form-data" method="GET">
                        <div class="row align-items-end gy-3 gx-2">
                            <div class="col-12 pb-0">
                                <h4><?php echo e(translate('Select_Date_Range')); ?></h4>
                            </div>
                            <div class="col-sm-6 col-md-3">
                                <label for="filter"><?php echo e(translate('Select_Orders')); ?></label>
                                <select class="custom-select custom-select-sm text-capitalize min-h-45px" name="branch_id">
                                    <option disabled>--- <?php echo e(translate('select')); ?> <?php echo e(translate('branch')); ?> ---</option>
                                    <option value="all" <?php echo e($branchId == 'all' ? 'selected': ''); ?>><?php echo e(translate('all')); ?> <?php echo e(translate('branch')); ?></option>
                                    <?php $__currentLoopData = $branches; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $branch): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($branch['id']); ?>" <?php echo e($branch['id'] == $branchId ? 'selected' : ''); ?>><?php echo e($branch['name']); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <div class="col-sm-6 col-md-3">
                                <div>
                                    <label for="form_date"><?php echo e(translate('Start_Date')); ?></label>
                                    <input type="date" id="start_date" name="start_date" value="<?php echo e($startDate); ?>" class="js-flatpickr form-control flatpickr-custom min-h-40px" placeholder="yy-mm-dd" data-hs-flatpickr-options='{ "dateFormat": "Y-m-d"}'>
                                </div>
                            </div>
                            <div class="col-sm-6 col-md-3 mt-2 mt-sm-0">
                                <div>
                                    <label for="to_date"><?php echo e(translate('End_date')); ?></label>
                                    <input type="date" id="end_date" name="end_date" value="<?php echo e($endDate); ?>" class="js-flatpickr form-control flatpickr-custom min-h-40px" placeholder="yy-mm-dd" data-hs-flatpickr-options='{ "dateFormat": "Y-m-d"}'>
                                </div>
                            </div>
                            <div class="col-sm-6 col-md-3 mt-2 mt-sm-0 __btn-row">
                                <a href="<?php echo e(route('admin.orders.list',[$status])); ?>" id="" class="btn w-100 btn--reset min-h-45px"><?php echo e(translate('clear')); ?></a>
                                <button type="submit" class="btn btn-primary btn-block"><?php echo e(translate('Show_Data')); ?></button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>

            <div class="p-3">
                <div class="row justify-content-between align-items-center gy-2">
                    <div class="col-sm-8 col-md-6 col-lg-4">
                        <form action="<?php echo e(url()->current()); ?>" method="GET">
                            <div class="input-group">
                                <input id="datatableSearch_" type="search" name="search"
                                       class="form-control"
                                       placeholder="<?php echo e(translate('Search by order ID')); ?>" aria-label="Search"
                                       value="<?php echo e($search); ?>" required autocomplete="off">
                                <div class="input-group-append">
                                    <button type="submit" class="btn btn-primary"><?php echo e(translate('search')); ?>

                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="col-sm-4 col-md-6 col-lg-8 d-flex justify-content-end">
                        <div>
                            <button type="button" class="btn btn-outline-primary" data-toggle="dropdown" aria-expanded="false">
                                <i class="tio-download-to"></i><?php echo e(translate('Export')); ?><i class="tio-chevron-down"></i>
                            </button>
                            <ul class="dropdown-menu dropdown-menu-right w-auto">
                                <li>
                                    <a type="submit" class="dropdown-item d-flex align-items-center gap-2"
                                       href="<?php echo e(route('admin.orders.export', [$status, 'branch_id'=>Request::get('branch_id'), 'start_date'=>Request::get('start_date'), 'end_date'=>Request::get('end_date'), 'search'=>Request::get('search')])); ?>">
                                        <img width="14" src="<?php echo e(asset('public/assets/admin/img/icons/excel.png')); ?>" alt="<?php echo e(translate('excel')); ?>">
                                        <?php echo e(translate('excel')); ?>

                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>

            <div class="table-responsive datatable-custom">
                <table class="table table-hover table-borderless table-thead-bordered table-nowrap table-align-middle card-table text-dark">
                    <thead class="thead-light">
                    <tr>
                        <th><?php echo e(translate('SL')); ?></th>
                        <th><?php echo e(translate('order_ID')); ?></th>
                        <th><?php echo e(translate('order_date')); ?></th>
                        <th><?php echo e(translate('customer_info')); ?></th>
                        <th><?php echo e(translate('branch')); ?></th>
                        <th><?php echo e(translate('total_amount')); ?></th>
                        <th><?php echo e(translate('order_status')); ?></th>
                        <th><?php echo e(translate('order_type')); ?></th>
                        <th class="text-center"><?php echo e(translate('actions')); ?></th>
                    </tr>
                    </thead>

                    <tbody id="set-rows">
                    <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                        <tr class="status-<?php echo e($order['order_status']); ?> class-all">
                            <td>
                                <?php echo e($orders->firstitem()+$key); ?>

                            </td>
                            <td>
                                <a class="text-dark" href="<?php echo e(route('admin.orders.details',['id'=>$order['id']])); ?>"><?php echo e($order['id']); ?></a>
                            </td>
                            <td>
                                <div><?php echo e(date('d M Y',strtotime($order['created_at']))); ?></div>
                                <div class="fs-12"><?php echo e(date("h:i A",strtotime($order['created_at']))); ?></div>
                            </td>
                            <td>
                                <?php if($order->customer): ?>
                                    <a class="text-dark text-capitalize"  href="<?php echo e(route('admin.customer.view',[$order['user_id']])); ?>">
                                       <h6 class="mb-0"><?php echo e($order->customer['f_name'].' '.$order->customer['l_name']); ?></h6>
                                    </a>
                                    <a class="text-dark fs-12" href="tel:<?php echo e($order->customer['phone']); ?>"><?php echo e($order->customer['phone']); ?></a>
                                <?php else: ?>
                                    <h6 class="text-muted text-capitalize"><?php echo e(translate('customer')); ?> <?php echo e(translate('deleted')); ?></h6>
                                <?php endif; ?>
                            </td>
                            <td>
                                <label class="badge badge-soft-primary"><?php echo e($order->branch?$order->branch->name:'Branch deleted!'); ?></label>
                            </td>
                            <td>
                                <div class="text-dark"><?php echo e(Helpers::set_symbol($order['order_amount'])); ?></div>
                                <?php if($order->payment_status=='paid'): ?>
                                    <span class="text-success">
                                        <?php echo e(translate('paid')); ?>

                                    </span>
                                <?php else: ?>
                                    <span class="text-danger">
                                        <?php echo e(translate('unpaid')); ?>

                                    </span>
                                <?php endif; ?>
                            </td>
                            <td class="text-capitalize">
                                <?php if($order['order_status']=='pending'): ?>
                                    <span class="badge badge-soft-info"><?php echo e(translate('pending')); ?></span>
                                <?php elseif($order['order_status']=='confirmed'): ?>
                                    <span class="badge badge-soft-info"><?php echo e(translate('confirmed')); ?></span>
                                <?php elseif($order['order_status']=='processing'): ?>
                                    <span class="badge badge-soft-warning"><?php echo e(translate('processing')); ?></span>
                                <?php elseif($order['order_status']=='out_for_delivery'): ?>
                                    <span class="badge badge-soft-warning"><?php echo e(translate('out_for_delivery')); ?></span>
                                <?php elseif($order['order_status']=='delivered'): ?>
                                    <span class="badge badge-soft-success"><?php echo e(translate('delivered')); ?></span>
                                <?php else: ?>
                                    <span class="badge badge-soft-danger"><?php echo e(str_replace('_',' ',$order['order_status'])); ?></span>
                                <?php endif; ?>
                            </td>
                            <td class="text-capitalize">
                                <?php if($order['order_type']=='self_pickup'): ?>
                                    <span class="badge badge-soft-primary"><?php echo e(translate('self_pickup')); ?></span>
                                <?php elseif($order['order_type']=='pos'): ?>
                                    <span class="badge badge-soft-info"><?php echo e(translate('POS')); ?></span>
                                <?php else: ?>
                                    <span class="badge badge-soft-success"><?php echo e(translate($order['order_type'])); ?></span>
                                <?php endif; ?>
                            </td>
                            <td>
                                <div class="d-flex gap-2 justify-content-center">
                                    <a class="btn btn-outline-primary square-btn" href="<?php echo e(route('admin.orders.details',['id'=>$order['id']])); ?>">
                                        <i class="tio-visible"></i>
                                    </a>
                                    <a class="btn btn-outline-info square-btn" target="_blank" href="<?php echo e(route('admin.orders.generate-invoice',[$order['id']])); ?>">
                                        <i class="tio-download"></i>
                                    </a>
                                </div>
                            </td>
                        </tr>

                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>

            <div class="table-responsive mt-4 px-3">
                <div class="d-flex justify-content-end">
                    <?php echo $orders->links(); ?>

                </div>
            </div>
            <?php if(count($orders)==0): ?>
                <div class="text-center p-4">
                    <img class="mb-3 width-7rem" src="<?php echo e(asset('public/assets/admin/svg/illustrations/sorry.svg')); ?>" alt="<?php echo e(translate('image')); ?>">
                    <p class="mb-0"><?php echo e(translate('No data to show')); ?></p>
                </div>
            <?php endif; ?>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/order/list.blade.php ENDPATH**/ ?>