<?php $__env->startSection('title', translate('Update category')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/brand-setup.png')); ?>" alt="<?php echo e(translate('image')); ?>">
                <?php if($category->parent_id == 0): ?>
                    <?php echo e(translate('category_update')); ?>

                <?php else: ?>
                    <?php echo e(translate('sub_category_update')); ?>

                <?php endif; ?>
            </h2>
        </div>

        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <form action="<?php echo e(route('admin.category.update',[$category['id']])); ?>" method="post"
                              enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <?php ($language=\App\Model\BusinessSetting::where('key','language')->first()); ?>
                            <?php ($language = $language->value ?? null); ?>
                            <?php ($default_lang = 'en'); ?>
                            <?php if($language): ?>
                                <?php ($default_lang = json_decode($language)[0]); ?>
                                <ul class="nav nav-tabs mb-4 max-content">
                                    <?php $__currentLoopData = json_decode($language); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li class="nav-item">
                                            <a class="nav-link lang_link <?php echo e($lang == $default_lang? 'active':''); ?>" href="#"
                                               id="<?php echo e($lang); ?>-link"><?php echo e(Helpers::get_language_name($lang).'('.strtoupper($lang).')'); ?></a>
                                        </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                                <div class="row mb-3">
                                    <div class="col-12">
                                        <?php $__currentLoopData = json_decode($language); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php
                                            if (count($category['translations'])) {
                                                $translate = [];
                                                foreach ($category['translations'] as $t) {
                                                    if ($t->locale == $lang && $t->key == "name") {
                                                        $translate[$lang]['name'] = $t->value;
                                                    }
                                                }
                                            }
                                            ?>
                                            <div class="form-group <?php echo e($lang != $default_lang ? 'd-none':''); ?> lang_form"
                                                 id="<?php echo e($lang); ?>-form">
                                                <label class="input-label"
                                                       for="exampleFormControlInput1"><?php echo e(translate('name')); ?>

                                                    (<?php echo e(strtoupper($lang)); ?>)</label>
                                                <input type="text" name="name[]" maxlength="255"
                                                       value="<?php echo e($lang==$default_lang?$category['name']:($translate[$lang]['name']??'')); ?>"
                                                       class="form-control" oninvalid="document.getElementById('en-link').click()"
                                                       placeholder="<?php echo e(translate('New Category')); ?>" <?php echo e($lang == $default_lang? 'required':''); ?>>
                                            </div>
                                            <input type="hidden" name="lang[]" value="<?php echo e($lang); ?>">
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            <div class="row">
                                                <div class="col-6">
                                                    <div class="form-group lang_form" id="<?php echo e($default_lang); ?>-form">
                                                        <label class="input-label"
                                                               for="exampleFormControlInput1"><?php echo e(translate('name')); ?>

                                                            (<?php echo e(strtoupper($lang)); ?>)</label>
                                                        <input type="text" name="name[]" value="<?php echo e($category['name']); ?>"
                                                               class="form-control" oninvalid="document.getElementById('en-link').click()"
                                                               placeholder="<?php echo e(translate('New Category')); ?>" required>
                                                    </div>
                                                    <input type="hidden" name="lang[]" value="<?php echo e($default_lang); ?>">
                                                    <?php endif; ?>
                                                    <input name="position" value="0" class="d-none">
                                                </div>
                                                <?php if($category->parent_id == 0): ?>
                                                    <div class="col-md-4">

                                                        <div class="form-group">
                                                            <label class="mb-2"><?php echo e(translate('Image')); ?></label>
                                                            <div class="custom_upload_input ratio-1 max-w-200">
                                                                <input type="file" name="image" class="custom-upload-input-file meta-img h-100" id="" data-imgpreview="pre_meta_image_viewer"
                                                                       accept=".jpg, .png, .jpeg, .gif, .bmp, .tif, .tiff|image/*">

                                                                <div class="img_area_with_preview position-absolute z-index-2">
                                                                    <img id="pre_meta_image_viewer" class="h-auto aspect-1 bg-white ratio-1" src="img" onerror="this.classList.add('d-none')">
                                                                </div>
                                                                <div class="position-absolute h-100 top-0 w-100 d-flex align-content-center justify-content-center">
                                                                    <div class="d-flex flex-column justify-content-center align-items-center">
                                                                        <img src="<?php echo e($category['image_fullpath']); ?>" class="w-100">
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <p class="fs-16 mb-2 text-dark mt-2"><?php echo e(translate('Images Ratio')); ?> 1:1</p>
                                                            <p class="fs-14 text-muted mb-0"><?php echo e(translate('Image format : jpg, png, jpeg | Maximum Size')); ?> : 2 MB</p>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-8">
                                                        <div class="form-group">
                                                            <label class="mb-2"><?php echo e(translate('Banner Image')); ?></label>
                                                            <div class="custom_upload_input max-h200px ratio-8">
                                                                <input type="file" name="banner_image" class="custom-upload-input-file meta-img" id="" data-imgpreview="pre_meta_image_viewer"
                                                                       accept=".jpg, .png, .jpeg, .gif, .bmp, .tif, .tiff|image/*">

                                                                <div class="img_area_with_preview position-absolute z-index-2">
                                                                    <img id="pre_meta_image_viewer" class="aspect-1 bg-white" src="img" onerror="this.classList.add('d-none')">
                                                                </div>
                                                                <div class="position-absolute h-100 top-0 w-100 d-flex align-content-center justify-content-center existing-image-div">
                                                                    <div class="d-flex flex-column justify-content-center align-items-center overflow-hidden">
                                                                        <img  src="<?php echo e($category['banner_image_fullpath']); ?>" class="w-100">
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <p class="fs-16 mb-2 text-dark mt-2"><?php echo e(translate('Banner Images Ratio')); ?> 8:1</p>
                                                            <p class="fs-14 text-muted mb-0"><?php echo e(translate('Image format : jpg, png, jpeg | Maximum Size')); ?> : 2 MB</p>

                                                        </div>

                                                    </div>
                                                <?php else: ?>
                                                    <div class="col-sm-6">
                                                        <div class="form-group">
                                                            <label class="input-label"
                                                                   for="exampleFormControlSelect1"><?php echo e(translate('main')); ?> <?php echo e(translate('category')); ?></label>
                                                            <select id="exampleFormControlSelect1" name="parent_id" class="form-control" required>
                                                                <?php $__currentLoopData = \App\Model\Category::where(['position'=>0])->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $main_category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <option value="<?php echo e($main_category['id']); ?>" <?php echo e($main_category['id'] == $category['parent_id'] ? 'selected' : ''); ?>><?php echo e($main_category['name']); ?></option>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </select>
                                                        </div>
                                                    </div>
                                                <?php endif; ?>

                                            </div>
                                        <div class="d-flex justify-content-end gap-3">
                                            <button type="reset" class="btn btn-secondary"><?php echo e(translate('reset')); ?></button>
                                            <button type="submit" class="btn btn-primary"><?php echo e(translate('update')); ?></button>
                                        </div>
                                    </div>
                                </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script src="<?php echo e(asset('public/assets/admin/js/image-upload.js')); ?>"></script>
    <script src="<?php echo e(asset('public/assets/admin/js/category.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/category/edit.blade.php ENDPATH**/ ?>