<?php $__env->startSection('title', translate('Add new category')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/brand-setup.png')); ?>" alt="<?php echo e(translate('image')); ?>">
                <?php echo e(translate('category_Setup')); ?>

            </h2>
        </div>

        <div class="card mb-3">
            <div class="card-body">
                <form action="<?php echo e(route('admin.category.store')); ?>" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <?php ($language = \App\Model\BusinessSetting::where('key', 'language')->first()); ?>
                    <?php ($language = $language->value ?? null); ?>
                    <?php ($default_lang = 'en'); ?>
                    <?php if($language): ?>
                    <?php ($default_lang = json_decode($language)[0]); ?>
                    <ul class="nav nav-tabs mb-4 max-content">
                        <?php $__currentLoopData = json_decode($language); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li class="nav-item">
                                <a class="nav-link lang_link <?php echo e($lang == $default_lang ? 'active' : ''); ?>" href="#"
                                    id="<?php echo e($lang); ?>-link"><?php echo e(Helpers::get_language_name($lang) . '(' . strtoupper($lang) . ')'); ?></a>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                    <div class="row">
                        <div class="col-12">
                            <?php $__currentLoopData = json_decode($language); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="form-group <?php echo e($lang != $default_lang ? 'd-none' : ''); ?> lang_form"  id="<?php echo e($lang); ?>-form">
                                    <label class="input-label"><?php echo e(translate('name')); ?> (<?php echo e(strtoupper($lang)); ?>)</label>
                                    <input type="text" name="name[]" class="form-control" placeholder="<?php echo e(translate('New Category')); ?>" maxlength="255"
                                            <?php echo e($lang == $default_lang ? 'required' : ''); ?> oninvalid="document.getElementById('en-link').click()">
                                </div>
                                <input type="hidden" name="lang[]" value="<?php echo e($lang); ?>">
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>
                            <div class="row">
                                <div class="col-12">
                                    <div class="form-group lang_form" id="<?php echo e($default_lang); ?>-form">
                                        <label class="input-label"><?php echo e(translate('name')); ?> (<?php echo e(strtoupper($lang)); ?>)</label>
                                        <input type="text" name="name[]" class="form-control" maxlength="255"
                                                placeholder="<?php echo e(translate('New Category')); ?>" required>
                                    </div>
                                    <input type="hidden" name="lang[]" value="<?php echo e($default_lang); ?>">
                                    <?php endif; ?>
                                    <input name="position" value="0" class="d-none">
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="mb-2"><?php echo e(translate('Image')); ?></label>
                                        <div class="custom_upload_input ratio-1 max-w-200">
                                            <input type="file" name="image" class="custom-upload-input-file meta-img h-100" id="" data-imgpreview="pre_meta_image_viewer"
                                                   accept=".jpg, .png, .jpeg, .gif, .bmp, .tif, .tiff|image/*">

                                            <span class="delete_file_input btn btn-outline-danger btn-sm square-btn d-none">
                                                <i class="tio-delete"></i>
                                            </span>

                                            <div class="img_area_with_preview position-absolute z-index-2">
                                                <img id="pre_meta_image_viewer" class="h-auto aspect-1 bg-white ratio-1" src="img" onerror="this.classList.add('d-none')">
                                            </div>
                                            <div class="position-absolute h-100 top-0 w-100 d-flex align-content-center justify-content-center">
                                                <div class="d-flex flex-column justify-content-center align-items-center">
                                                    <h3 class="text-muted"><?php echo e(translate('Drag & Drop here')); ?></h3>
                                                </div>
                                            </div>
                                        </div>

                                        <p class="fs-16 mb-2 text-dark mt-2"><?php echo e(translate('Images Ratio')); ?> 1:1</p>
                                        <p class="fs-14 text-muted mb-0"><?php echo e(translate('Image format : jpg, png, jpeg | Maximum Size')); ?> : 2 MB</p>
                                    </div>
                                </div>
                                <div class="col-md-8">

                                    <div class="form-group">
                                        <label class="mb-2"><?php echo e(translate('Banner Image')); ?></label>
                                        <div class="custom_upload_input max-h200px ratio-8">
                                            <input type="file" name="banner_image" class="custom-upload-input-file meta-img" id="" data-imgpreview="pre_meta_image_viewer"
                                                   accept=".jpg, .png, .jpeg, .gif, .bmp, .tif, .tiff|image/*">

                                            <span class="delete_file_input btn btn-outline-danger btn-sm square-btn d-none">
                                                <i class="tio-delete"></i>
                                            </span>

                                            <div class="img_area_with_preview position-absolute z-index-2">
                                                <img id="pre_meta_image_viewer" class="aspect-1 bg-white" src="img" onerror="this.classList.add('d-none')">
                                            </div>
                                            <div class="position-absolute h-100 top-0 w-100 d-flex align-content-center justify-content-center">
                                                <div class="d-flex flex-column justify-content-center align-items-center overflow-hidden">
                                                    <h3 class="text-muted"><?php echo e(translate('Drag & Drop here')); ?></h3>
                                                </div>
                                            </div>
                                        </div>

                                        <p class="fs-16 mb-2 text-dark mt-2"><?php echo e(translate('Banner Images Ratio')); ?> 8:1</p>
                                        <p class="fs-14 text-muted mb-0"><?php echo e(translate('Image format : jpg, png, jpeg | Maximum Size')); ?> : 2 MB</p>
                                    </div>
                                </div>
                            </div>

                            <div class="d-flex justify-content-end gap-3 mt-4">
                                <button type="reset" class="btn btn-secondary px-5"><?php echo e(translate('reset')); ?></button>
                                <button type="submit" class="btn btn-primary px-5"><?php echo e(translate('submit')); ?></button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>

        <div class="card">
            <div class="px-20 py-3">
                <div class="row gy-2 align-items-center">
                    <div class="col-lg-8 col-sm-4 col-md-6">
                        <h5 class="text-capitalize d-flex align-items-center gap-2 mb-0">
                            <?php echo e(translate('Category Table')); ?>

                            <span class="badge badge-soft-dark rounded-50 fz-12"><?php echo e($categories->total()); ?></span>
                        </h5>
                    </div>
                    <div class="col-lg-4 col-sm-8 col-md-6">
                        <form action="<?php echo e(url()->current()); ?>" method="GET">
                            <div class="input-group">
                                <input id="datatableSearch_" type="search" name="search"
                                       class="form-control"
                                       placeholder="<?php echo e(translate('Search by Category')); ?>" aria-label="Search"
                                       value="<?php echo e($search); ?>" required autocomplete="off">
                                <div class="input-group-append">
                                    <button type="submit" class="btn btn-primary"><?php echo e(translate('search')); ?>

                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

            <div class="table-responsive datatable-custom">
                <table class="table table-borderless table-thead-bordered table-nowrap table-align-middle card-table">
                    <thead class="thead-light">
                        <tr>
                            <th><?php echo e(translate('SL')); ?></th>
                            <th><?php echo e(translate('Category_Image')); ?></th>
                            <th><?php echo e(translate('name')); ?></th>
                            <th><?php echo e(translate('Is Featured')); ?> ? <i class="tio-info-outined cursor-pointer" data-toggle="tooltip" title="<?php echo e(translate('If enable, the category will show in featured category')); ?>"></i></th>
                            <th><?php echo e(translate('status')); ?></th>
                            <th class="text-center"><?php echo e(translate('action')); ?></th>
                        </tr>
                    </thead>

                    <tbody>
                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($categories->firstItem()+$key); ?></td>
                            <td>
                                <div class="avatar-lg rounded border">
                                    <img class="img-fit rounded"
                                         src="<?php echo e($category['image_fullpath']); ?>"
                                         alt="<?php echo e(translate('image')); ?>">
                                </div>
                            </td>
                            <td><?php echo e($category['name']); ?></td>
                            <td>
                                <label class="on-off-toggle">
                                    <input class="on-off-toggle__input change-status" type="checkbox"
                                        <?php echo e($category['is_featured']==1? 'checked' : ''); ?>

                                        data-route="<?php echo e(route('admin.category.featured',[$category['id'], $category->is_featured == 1 ? 0: 1])); ?>">
                                    <span class="on-off-toggle__slider"></span>
                                </label>
                            </td>
                            <td>
                                <?php if($category['status']==1): ?>
                                    <label class="switcher">
                                        <input type="checkbox" class="switcher_input change-status" <?php echo e($category['status']==1? 'checked' : ''); ?>

                                                id="<?php echo e($category['id']); ?>"
                                               data-route="<?php echo e(route('admin.category.status',[$category['id'],0])); ?>">
                                        <span class="switcher_control"></span>
                                    </label>
                                <?php else: ?>
                                    <label class="switcher">
                                        <input type="checkbox" class="switcher_input change-status" <?php echo e($category['status']==1? 'checked' : ''); ?>

                                                id="<?php echo e($category['id']); ?>"
                                               data-route="<?php echo e(route('admin.category.status',[$category['id'],1])); ?>">
                                        <span class="switcher_control"></span>
                                    </label>
                                <?php endif; ?>
                            </td>
                            <td>
                                <div class="d-flex justify-content-center gap-2">
                                    <a class="btn btn-outline-info square-btn" href="<?php echo e(route('admin.category.edit',[$category['id']])); ?>">
                                        <i class="tio tio-edit"></i>
                                    </a>
                                    <a class="btn btn-outline-danger square-btn form-alert" href="javascript:"
                                       data-id="category-<?php echo e($category['id']); ?>"
                                       data-message="<?php echo e(translate('Want to delete this ?')); ?>">
                                        <i class="tio tio-delete"></i>
                                    </a>
                                </div>
                                <form action="<?php echo e(route('admin.category.delete',[$category['id']])); ?>"
                                        method="post" id="category-<?php echo e($category['id']); ?>">
                                    <?php echo csrf_field(); ?> <?php echo method_field('delete'); ?>
                                </form>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>

            <div class="table-responsive mt-4 px-3">
                <div class="d-flex justify-content-end">
                    <?php echo $categories->links(); ?>

                </div>
            </div>
            <?php if(count($categories)==0): ?>
                <div class="text-center p-4">
                    <img class="mb-3 width-7rem" src="<?php echo e(asset('public/assets/admin/svg/illustrations/sorry.svg')); ?>" alt="<?php echo e(translate('Image Description')); ?>">
                    <p class="mb-0"><?php echo e(translate('No data to show')); ?></p>
                </div>
            <?php endif; ?>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script src="<?php echo e(asset('public/assets/admin/js/image-upload.js')); ?>"></script>
    <script src="<?php echo e(asset('public/assets/admin/js/category.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/category/index.blade.php ENDPATH**/ ?>