<?php $__env->startSection('title', translate('SMS Module Setup')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-4">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/third-party.png')); ?>" alt="<?php echo e(translate('3rd_Party')); ?>">
                <?php echo e(translate('3rd_Party')); ?>

            </h2>
        </div>

        <div class="inline-page-menu my-4">
            <?php echo $__env->make('admin-views.business-settings.partial.third-party-nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>

        <div class="row g-3 mb-2">
            <?php if($publishedStatus == 1): ?>
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body d-flex justify-content-around">
                            <h4 class="addon-payment-gateway-active">
                                <i class="tio-info-outined"></i>
                                <?php echo e(translate('Your current sms settings are disabled, because you have enabled
                                sms gateway addon, To visit your currently active sms gateway settings please follow
                                the link.')); ?>

                            </h4>
                            <span>
                               <a href="<?php echo e(!empty($paymentUrl) ? $paymentUrl : ''); ?>" class="btn btn-outline-primary"><i class="tio-settings mr-1"></i><?php echo e(translate('settings')); ?></a>
                            </span>
                        </div>
                    </div>
                </div>
            <?php endif; ?>

            <?php $__currentLoopData = $dataValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $gateway): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-md-6 mb-30 sms-gateway-cards mb-30px">
                    <div class="card">
                        <div class="card-header">
                            <h4 class="page-title"><?php echo e(translate($gateway->key_name)); ?></h4>
                        </div>
                        <div class="card-body p-30">
                            <form action="<?php echo e(route('admin.business-settings.sms-module-update',[$gateway->key_name])); ?>" method="POST"
                                  id="<?php echo e($gateway->key_name); ?>-form" enctype="multipart/form-data">
                                <?php echo csrf_field(); ?>
                                <?php echo method_field('post'); ?>
                                <div class="discount-type">
                                    <div class="d-flex align-items-center gap-4 gap-xl-5 mb-30">
                                        <div class="custom-radio">
                                            <input type="radio" id="<?php echo e($gateway->key_name); ?>-active"
                                                   name="status"
                                                   value="1" <?php echo e($dataValues->where('key_name',$gateway->key_name)->first()->live_values['status']?'checked':''); ?>>
                                            <label for="<?php echo e($gateway->key_name); ?>-active"> <?php echo e(translate('Active')); ?></label>
                                        </div>
                                        <div class="custom-radio">
                                            <input type="radio" id="<?php echo e($gateway->key_name); ?>-inactive"
                                                   name="status"
                                                   value="0" <?php echo e($dataValues->where('key_name',$gateway->key_name)->first()->live_values['status']?'':'checked'); ?>>
                                            <label for="<?php echo e($gateway->key_name); ?>-inactive"> <?php echo e(translate('Inactive')); ?></label>
                                        </div>
                                    </div>

                                    <input name="gateway" value="<?php echo e($gateway->key_name); ?>" class="d-none">
                                    <input name="mode" value="live" class="d-none">

                                    <?php ($skip=['gateway','mode','status']); ?>
                                    <?php $__currentLoopData = $dataValues->where('key_name',$gateway->key_name)->first()->live_values; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if(!in_array($key,$skip)): ?>
                                            <div class="form-floating mb-30 mt-30">
                                                <label for="exampleFormControlInput1" class="form-label"><?php echo e(translate($key)); ?> *</label>
                                                <input type="text" class="form-control mb-3"
                                                       name="<?php echo e($key); ?>"
                                                       placeholder="<?php echo e(translate($key)); ?> *"
                                                       value="<?php echo e(env('APP_ENV')=='demo'?'':$value); ?>">
                                            </div>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                                <div class="d-flex justify-content-end">
                                    <button type="submit" class="btn btn-primary demo_check">
                                        <?php echo e(translate('Update')); ?>

                                    </button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>

    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script>
        "use strict"

        <?php if($publishedStatus == 1): ?>
            $('.sms-gateway-cards').find('input').each(function(){
                $(this).attr('disabled', true);
            });
            $('.sms-gateway-cards').find('button').each(function(){
                $(this).attr('disabled', true);
            });
        <?php endif; ?>
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/business-settings/sms-index.blade.php ENDPATH**/ ?>