<?php $__env->startSection('title', translate('Deliveryman List')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/deliveryman.png')); ?>" alt="<?php echo e(translate('deliveryman')); ?>">
                <?php echo e(translate('deliveryman_List')); ?>

                <span class="badge badge-soft-dark rounded-50 fs-14"><?php echo e($deliveryMan->total()); ?></span>
            </h2>
        </div>

        <div class="card">
            <div class="px-20 py-3 d-flex flex-wrap gap-3 justify-content-between">
                <form action="<?php echo e(url()->current()); ?>" method="GET">
                    <div class="input-group">
                        <input id="datatableSearch_" type="search" name="search"
                            class="form-control"
                            placeholder="<?php echo e(translate('Search by Name')); ?>" aria-label="Search"
                            value="<?php echo e($search); ?>" required autocomplete="off">
                        <div class="input-group-append">
                            <button type="submit" class="btn btn-primary"><?php echo e(translate('search')); ?>

                            </button>
                        </div>
                    </div>
                </form>
                <a href="<?php echo e(route('admin.delivery-man.add')); ?>" class="btn btn-primary">
                    <i class="tio-add"></i><?php echo e(translate('add')); ?><?php echo e(translate('deliveryman')); ?>

                </a>
            </div>

            <div class="table-responsive datatable-custom">
                <table class="table table-borderless table-thead-bordered table-nowrap table-align-middle card-table text-dark">
                    <thead class="thead-light">
                        <tr>
                            <th><?php echo e(translate('SL')); ?></th>
                            <th><?php echo e(translate('name')); ?></th>
                            <th><?php echo e(translate('contact_Info')); ?></th>
                            <th class="text-center"><?php echo e(translate('action')); ?></th>
                        </tr>
                    </thead>

                    <tbody id="set-rows">
                    <?php $__currentLoopData = $deliveryMan; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$dm): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($deliveryMan->firstitem()+$key); ?></td>
                            <td>
                                <div class="media gap-3 align-items-center">
                                    <div class="avatar rounded-circle">
                                        <img class="img-fit rounded-circle"
                                             src="<?php echo e($dm['image-fullpath']); ?>" alt="<?php echo e(translate('image')); ?>">
                                    </div>
                                    <div class="media-body"><?php echo e($dm['f_name'].' '.$dm['l_name']); ?></div>
                                </div>
                            </td>
                            <td>
                                <div><a class="text-dark" href="tel:<?php echo e($dm['phone']); ?>"><?php echo e($dm['phone']); ?></a></div>
                                <div><a class="text-dark" href="mailto:<?php echo e($dm['email']); ?>"><?php echo e($dm['email']); ?></a></div>
                            </td>
                            <td>
                                <div class="d-flex justify-content-center align-items-center gap-10">
                                    <a class="btn btn-outline-primary square-btn"
                                        href="<?php echo e(route('admin.delivery-man.edit',[$dm['id']])); ?>"><i class="tio-edit"></i></a>
                                    <a class="btn btn-outline-danger square-btn form-alert" href="javascript:"
                                       data-id="delivery-man-<?php echo e($dm['id']); ?>"
                                       data-message="<?php echo e(translate('Want to delete this deliveryman ?')); ?>">
                                        <i class="tio-delete"></i>
                                    </a>
                                </div>
                                <form action="<?php echo e(route('admin.delivery-man.delete',[$dm['id']])); ?>"
                                        method="post" id="delivery-man-<?php echo e($dm['id']); ?>">
                                    <?php echo csrf_field(); ?> <?php echo method_field('delete'); ?>
                                </form>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>

            <div class="table-responsive mt-4 px-3">
                <div class="d-flex justify-content-end">
                    <?php echo $deliveryMan->links(); ?>

                </div>
            </div>
            <?php if(count($deliveryMan)==0): ?>
                <div class="text-center p-4">
                    <img class="mb-3 width-7rem" src="<?php echo e(asset('public/assets/admin//svg/illustrations/sorry.svg')); ?>" alt="<?php echo e(translate('image')); ?>">
                    <p class="mb-0"><?php echo e(translate('No data to show')); ?></p>
                </div>
            <?php endif; ?>
        </div>
    </div>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/delivery-man/list.blade.php ENDPATH**/ ?>