<?php $__env->startSection('title', translate('Add new notification')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/notification.png')); ?>" alt="<?php echo e(translate('notification')); ?>">
                <?php echo e(translate('notification')); ?>

            </h2>
        </div>

        <div class="card">
            <div class="card-body">
                <form action="<?php echo e(route('admin.notification.store')); ?>" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="row mb-3">
                        <div class="col-lg-6">
                            <div class="form-group">
                                <label class="input-label" for="exampleFormControlInput1"><?php echo e(translate('title')); ?></label>
                                <input type="text" name="title" class="form-control" placeholder="<?php echo e(translate('New notification')); ?>" required maxlength="255">
                            </div>
                            <div class="form-group">
                                <label class="input-label" for="exampleFormControlInput1"><?php echo e(translate('description')); ?></label>
                                <textarea name="description" class="form-control" required maxlength="255"></textarea>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="form-group">
                                <div class="d-flex align-items-center justify-content-center gap-1">
                                    <label class="mb-0"><?php echo e(translate('Image')); ?></label>
                                    <small class="text-danger">* ( <?php echo e(translate('ratio')); ?> 1:1 )</small>
                                </div>
                                <div class="d-flex justify-content-center mt-4">
                                    <div class="upload-file">
                                        <input type="file" name="image" id="customFileEg1" accept=".jpg, .png, .jpeg, .gif, .bmp, .tif, .tiff|image/*"
                                               class="upload-file__input" required>
                                        <div class="upload-file__img">
                                            <img width="150" id="viewer" src="<?php echo e(asset('public/assets/admin/img/icons/upload_img.png')); ?>" alt="<?php echo e(translate('notification')); ?>">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="d-flex justify-content-end gap-3">
                        <button type="reset" class="btn btn-secondary"><?php echo e(translate('reset')); ?></button>
                        <button type="submit" class="btn btn-primary"><?php echo e(translate('send_notification')); ?></button>
                    </div>
                </form>
            </div>
        </div>

        <div class="card mt-3">
            <div class="px-20 py-3">
                <div class="row gy-2 align-items-center">
                    <div class="col-sm-4">
                        <h5 class="text-capitalize d-flex align-items-center gap-2 mb-0">
                            <?php echo e(translate('notification_table')); ?>

                            <span class="badge badge-soft-dark rounded-50 fz-12"><?php echo e($notifications->total()); ?></span>
                        </h5>
                    </div>
                    <div class="col-sm-8">
                        <div class="d-flex flex-wrap justify-content-sm-end gap-2">
                            <form action="#" method="GET">
                                <div class="input-group">
                                    <input id="datatableSearch_" type="search" name="search"
                                        class="form-control"
                                        placeholder="<?php echo e(translate('Search by Title')); ?>" aria-label="Search"
                                        value="" required autocomplete="off">
                                    <div class="input-group-append">
                                        <button type="submit" class="btn btn-primary"><?php echo e(translate('search')); ?>

                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

            <div class="table-responsive datatable-custom">
                <table class="table table-borderless table-thead-bordered table-nowrap table-align-middle card-table">
                    <thead class="thead-light">
                    <tr>
                        <th><?php echo e(translate('SL')); ?></th>
                        <th><?php echo e(translate('image')); ?></th>
                        <th><?php echo e(translate('title')); ?></th>
                        <th><?php echo e(translate('description')); ?></th>
                        <th><?php echo e(translate('status')); ?></th>
                        <th class="text-center"><?php echo e(translate('action')); ?></th>
                    </tr>
                    </thead>

                    <tbody>
                    <?php $__currentLoopData = $notifications; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$notification): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($notifications->firstitem()+$key); ?></td>
                            <td>
                                <?php if($notification['image']!=null): ?>
                                    <div class="avatar-lg border rounded">
                                        <img class="img-fit rounded"
                                            src="<?php echo e($notification['image_fullpath']); ?>"
                                        alt="<?php echo e(translate('image')); ?>">
                                    </div>
                                <?php else: ?>
                                    <label class="badge badge-soft-warning"><?php echo e(translate('No')); ?> <?php echo e(translate('image')); ?></label>
                                <?php endif; ?>
                            </td>
                            <td>
                                <?php echo e(substr($notification['title'],0,25)); ?> <?php echo e(strlen($notification['title'])>25?'...':''); ?>

                            </td>
                            <td>
                                <?php echo e(substr($notification['description'],0,25)); ?> <?php echo e(strlen($notification['description'])>25?'...':''); ?>

                            </td>
                            <td>
                                <?php if($notification['status']==1): ?>
                                    <label class="switcher">
                                        <input type="checkbox" class="switcher_input change-status" checked id="<?php echo e($notification['id']); ?>"
                                               data-route="<?php echo e(route('admin.notification.status',[$notification['id'],0])); ?>">
                                        <span class="switcher_control"></span>
                                    </label>
                                <?php else: ?>
                                    <label class="switcher">
                                        <input type="checkbox" class="switcher_input change-status"  id="<?php echo e($notification['id']); ?>"
                                               data-route="<?php echo e(route('admin.notification.status',[$notification['id'],1])); ?>">
                                        <span class="switcher_control"></span>
                                    </label>
                                <?php endif; ?>
                            </td>
                            <td>
                                <div class="d-flex justify-content-center gap-2">
                                    <a class="btn btn-outline-info square-btn"
                                        href="<?php echo e(route('admin.notification.edit',[$notification['id']])); ?>"><i class="tio tio-edit"></i></a>
                                    <a class="btn btn-outline-danger square-btn form-alert" href="javascript:"
                                       data-id="notification-<?php echo e($notification['id']); ?>"
                                       data-message="<?php echo e(translate('Want to delete this notification ?')); ?>">
                                        <i class="tio tio-delete"></i>
                                    </a>
                                </div>
                                <form action="<?php echo e(route('admin.notification.delete',[$notification['id']])); ?>"
                                    method="post" id="notification-<?php echo e($notification['id']); ?>">
                                    <?php echo csrf_field(); ?> <?php echo method_field('delete'); ?>
                                </form>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>

            <div class="table-responsive mt-4 px-3">
                <div class="d-flex justify-content-end">
                    <?php echo $notifications->links(); ?>

                </div>
            </div>
            <?php if(count($notifications)==0): ?>
                <div class="text-center p-4">
                    <img class="mb-3 width-7rem" src="<?php echo e(asset('public/assets/admin//svg/illustrations/sorry.svg')); ?>" alt="<?php echo e(translate('image')); ?>">
                    <p class="mb-0"><?php echo e(translate('No data to show')); ?></p>
                </div>
            <?php endif; ?>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script src="<?php echo e(asset('public/assets/admin/js/image-upload.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/notification/index.blade.php ENDPATH**/ ?>