<?php $__env->startSection('content'); ?>
    <div class="text-center text-white mb-4">
        <h2><?php echo e(translate('Hexacom Software Installation')); ?></h2>
        <h6 class="fw-normal"><?php echo e(translate('Please proceed step by step with proper data according to instructions')); ?></h6>
    </div>

    <div class="pb-2">
        <div class="progress cursor-pointer" role="progressbar" aria-label="Grofresh Software Installation"
             aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" data-bs-toggle="tooltip"
             data-bs-placement="top" data-bs-custom-class="custom-progress-tooltip" data-bs-title="Second Step!"
             data-bs-delay='{"hide":1000}'>
            <div class="progress-bar w-40-percent"></div>
        </div>
    </div>

    <div class="card mt-4">
        <div class="p-4 mb-md-3 mx-xl-4 px-md-5">
            <div class="d-flex justify-content-end mb-2">
                <a href="https://help.market.envato.com/hc/en-us/articles/202822600-Where-Is-My-Purchase-Code-"
                   class="d-flex align-items-center gap-1" target="_blank">
                    <?php echo e(translate('Where to get this information')); ?>?
                    <span data-bs-toggle="tooltip" data-bs-placement="top" data-bs-custom-class="custom-tooltip"
                          data-bs-title="Purchase code information">
                        <img src="<?php echo e(asset('public/assets/installation/assets/img/svg-icons/info.svg')); ?>" alt="<?php echo e(translate('image')); ?>" class="svg">
                    </span>
                </a>
            </div>

            <div class="d-flex align-items-center column-gap-3 flex-wrap">
                <h5 class="fw-bold fs text-uppercase"><?php echo e(translate('Step 2')); ?>. </h5>
                <h5 class="fw-normal"><?php echo e(translate('Update Purchase Information')); ?></h5>
            </div>
            <p class="mb-4"><?php echo e(translate('Provide your')); ?> <strong><?php echo e(translate('username')); ?></strong> <?php echo e(translate('of codecanyon & the')); ?> <strong><?php echo e(translate('purchase code')); ?></strong> </p>

            <form method="POST" action="<?php echo e(route('purchase.code',['token'=>bcrypt('step_3')])); ?>">
                <?php echo csrf_field(); ?>
                <div class="bg-light p-4 rounded mb-4">

                    <div class="px-xl-2 pb-sm-3">
                        <div class="row gy-4">
                            <div class="col-md-6">
                                <div class="from-group">
                                    <label for="username" class="d-flex align-items-center gap-2 mb-2">
                                        <span class="fw-medium"><?php echo e(translate('Username')); ?></span>
                                        <span class="cursor-pointer" data-bs-toggle="tooltip"
                                              data-bs-placement="top" data-bs-custom-class="custom-tooltip"
                                              data-bs-html="true"
                                              data-bs-title="The username of your codecanyon account">
                                                    <img src="<?php echo e(asset('public/assets/installation/assets/img/svg-icons/info2.svg')); ?>"
                                                        class="svg" alt="<?php echo e(translate('image')); ?>">
                                                </span>
                                    </label>
                                    <input type="text" id="username" class="form-control" name="username"
                                           placeholder="<?php echo e(translate('Ex: John Doe')); ?>" required>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="from-group">
                                    <label for="purchase_key" class="d-flex align-items-center gap-2 mb-2">
                                        <span class="fw-medium"><?php echo e(translate('Purchase Code')); ?></span>
                                        <span class="cursor-pointer" data-bs-toggle="tooltip"
                                              data-bs-placement="top" data-bs-custom-class="custom-tooltip"
                                              data-bs-html="true"
                                              data-bs-title="The purchase code of system">
                                                    <img src="<?php echo e(asset('public/assets/installation/assets/img/svg-icons/info2.svg')); ?>"
                                                        class="svg" alt="<?php echo e(translate('image')); ?>">
                                                </span>
                                    </label>
                                    <input type="text" id="purchase_key" class="form-control" name="purchase_key"
                                           placeholder="<?php echo e(translate('Ex: 19xxxxxx-ca5c-49c2-83f6-696a738b0000')); ?>" required>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="text-center">
                    <button type="submit" class="btn btn-dark px-sm-5"><?php echo e(translate('Continue')); ?></button>
                </div>
            </form>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.blank', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/installation/step2.blade.php ENDPATH**/ ?>