<?php $__env->startSection('title', translate('Messages')); ?>

<?php $__env->startPush('css_or_js'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('/public/assets/admin/css/lightbox.min.css')); ?>">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/message.png')); ?>" alt="<?php echo e(translate('message')); ?>">
                <?php echo e(translate('conversation_list')); ?>

            </h2>
        </div>

        <div class="row gy-4">
            <div class="col-lg-4">
                <div class="card">
                    <div class="card-body px-2" id="conversation_sidebar">
                        <div class="chat_people media gap-3 mb-4 px-2">
                            <div class="avatar rounded-circle position-relative">
                                <img class="img-fit rounded-circle"
                                     src="<?php echo e(auth('admin')->user()->image_fullpath); ?>"
                                     alt="<?php echo e(translate('image')); ?>">
                                <span class="avatar-status status-sm bg-success"></span>
                            </div>
                            <div class="chat_ib media-body">
                                <h5 class="mb-0"><?php echo e(auth('admin')->user()->f_name); ?> <?php echo e(auth('admin')->user()->l_name); ?></h5>
                                <span class="fs-12"><?php echo e(auth('admin')->user()->phone); ?></span>
                            </div>
                        </div>

                        <div class="input-group mb-3 px-2">
                            <div class="input-group-prepend">
                              <span class="input-group-text border-right-0 pr-0" id="basic-addon1"><i class="tio tio-search"></i></span>
                            </div>
                            <input type="text" class="cz-filter-search form-control border-left-0 pl-2 focus-none" placeholder="<?php echo e(translate('Search_user')); ?>" aria-label="Username" aria-describedby="basic-addon1" id="search-conversation-user" autocomplete="off">
                        </div>

                        <div class="customer-list-wrap">
                            <?php ($array=[]); ?>
                            <?php $__currentLoopData = $conversations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $conv): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if(in_array($conv->user_id,$array)==false): ?>
                                    <?php (array_push($array,$conv->user_id)); ?>
                                    <?php ($user=\App\User::find($conv->user_id)); ?>
                                    <?php ($unchecked=\App\Model\Conversation::where(['user_id'=>$conv->user_id,'checked'=>0])->count()); ?>

                                    <?php if(isset($user)): ?>
                                        <div class="sidebar_primary_div media gap-3 p-2 mb-2 align-items-center customer-list cursor-pointer view-conversation-message rounded <?php echo e($unchecked!=0?'conv-active':''); ?>"
                                             data-route="<?php echo e(route('admin.message.view',[$conv->user_id])); ?>"
                                             data-id="customer-<?php echo e($conv->user_id); ?>"
                                            id="customer-<?php echo e($conv->user_id); ?>">
                                            <div class="avatar rounded-circle">
                                                <img class="img-fit rounded-circle"
                                                     src="<?php echo e($user['image_fullpath']); ?>"
                                                     alt="<?php echo e(translate('image')); ?>">
                                            </div>
                                            <h5 class="sidebar_name mb-0 d-flex gap-2 justify-content-between align-items-center flex-grow-1">
                                                <div>
                                                    <div><?php echo e($user['f_name'].' '.$user['l_name']); ?></div>
                                                    <a class="text-dark fs-12 font-weight-normal" href="tel:<?php echo e($user['phone']); ?>"><?php echo e($user['phone']); ?></a>
                                                </div>
                                                <span class="<?php echo e($unchecked!=0?'badge badge-soft-info badge-pill':''); ?>" id="counter-<?php echo e($conv->user_id); ?>"><?php echo e($unchecked!=0?$unchecked:''); ?></span>
                                            </h5>
                                        </div>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-8" id="view-conversation">
                <div class="d-flex justify-content-center align-items-center h-100">
                    <h4 class="text-muted"><?php echo e(translate('view Conversation')); ?></h4>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script>
        "use strict";

        $("#search-conversation-user").on("keyup", function () {
            let input_value = this.value.toLowerCase().trim();

            let sidebar_primary_div = $(".sidebar_primary_div");
            let sidebar_name = $(".sidebar_name");

            for (let i = 0; i < sidebar_primary_div.length; i++) {
                const text_value = sidebar_name[i].innerText;
                if (text_value.toLowerCase().indexOf(input_value) > -1) {
                    sidebar_primary_div[i].style.display = "";
                } else {
                    sidebar_primary_div[i].style.setProperty("display", "none", "important");
                }
            }
        });

        let current_selected_user = null;

        $(".view-conversation-message").on('click', function (){
            let route = $(this).data('route');
            let id = $(this).data('id');
            viewConvs(route, id);
        });

        function viewConvs(url, id_to_active) {
            current_selected_user = id_to_active;

            let counter_element = $('#counter-'+ current_selected_user.slice(9));
            let customer_element = $('#'+current_selected_user);
            if(counter_element !== "undefined") {
                counter_element.empty();
                counter_element.removeClass("badge");
                counter_element.removeClass("badge-info");
            }
            if(customer_element !== "undefined") {
                customer_element.removeClass("conv-active");
            }


            $('.customer-list').removeClass('conv-active');
            $('#' + id_to_active).addClass('conv-active');
            $.get({
                url: url,
                success: function (data) {
                    $('#view-conversation').html(data.view);
                }
            });
        }

        function replyConvs(url) {
            let form = document.querySelector('form');
            let formdata = new FormData(form);

            if (!formdata.get('reply') && !formdata.get('images[]')) {
                toastr.error('<?php echo e(translate("Reply message is required!")); ?>', {
                    CloseButton: true,
                    ProgressBar: true
                });
                return "false";
            }

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: url,
                type: 'POST',
                data: formdata,
                processData: false,
                contentType: false,
                success: function (data) {
                    toastr.success('<?php echo e(translate("Message sent")); ?>', {
                        CloseButton: true,
                        ProgressBar: true
                    });
                    $('#view-conversation').html(data.view);
                },
                error() {
                    toastr.error('<?php echo e(translate("Reply message is required!")); ?>', {
                        CloseButton: true,
                        ProgressBar: true
                    });
                }
            });
        }

        function renderUserList() {
            $('#loading').show();
            $.ajax({
                url: "<?php echo e(route('admin.message.get_conversations')); ?>",
                type: 'GET',
                cache: false,
                success: function (response) {
                    $('#loading').hide();
                    $("#conversation_sidebar").html(response.conversation_sidebar)

                },
                error: function (err) {
                    $('#loading').hide();
                }
            });
        }

    </script>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/messages/index.blade.php ENDPATH**/ ?>