<?php $__env->startSection('title', translate('Update Flash sale')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="16" src="<?php echo e(asset('public/assets/admin/img/icons/flash-sale.png')); ?>" alt="<?php echo e(translate('flash-sale')); ?>">
                <?php echo e(translate('Update Flash sale')); ?>

            </h2>
        </div>

        <div class="card">
            <div class="card-body">
                <form action="<?php echo e(route('admin.flash-sale.update', [$flashSale['id']])); ?>" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>

                    <div class="row">
                        <div class="col-md-4">
                            <div class="mb-4">
                                <label class="input-label"><?php echo e(translate('Title')); ?></label>
                                <input type="text" name="title" class="form-control" placeholder="<?php echo e(translate('Ex : LUX')); ?>"
                                       value="<?php echo e($flashSale['title']); ?>" required maxlength="255">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="mb-4">
                                <label class="input-label"><?php echo e(translate('Start Date')); ?></label>
                                <input type="datetime-local" name="start_date" id="start_date" class="form-control"
                                       value="<?php echo e(date('Y-m-d\TH:i', strtotime($flashSale['start_date']))); ?>" required>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="mb-4">
                                <label class="input-label"><?php echo e(translate('End Date')); ?></label>
                                <input type="datetime-local" name="end_date" id="end_date" class="form-control"
                                       value="<?php echo e(date('Y-m-d\TH:i', strtotime($flashSale['end_date']))); ?>" required>
                            </div>
                        </div>
                    </div>

                    <div class="d-flex justify-content-end gap-3">
                        <button type="reset" class="btn btn-secondary px-5"><?php echo e(translate('reset')); ?></button>
                        <button type="submit" class="btn btn-primary px-5"><?php echo e(translate('update')); ?></button>
                    </div>
                </form>
            </div>
        </div>

    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script src="<?php echo e(asset('public/assets/admin/js/image-upload.js')); ?>"></script>

    <script>
        "use strict"

        let oldStartDate = '<?php echo e(date('Y-m-d\TH:i', strtotime($flashSale['start_date']))); ?>';
        let oldEndDate = '<?php echo e(date('Y-m-d\TH:i', strtotime($flashSale['end_date']))); ?>';

        $('#start_date, #end_date').change(function () {
            let from = $('#start_date').val();
            let to = $('#end_date').val();
            if (from != '' && to != '') {
                if (from > to) {
                    $('#start_date').val(oldStartDate);
                    $('#end_date').val(oldEndDate);
                    toastr.error('Invalid date range!', Error, {
                        CloseButton: true,
                        ProgressBar: true
                    });
                }
            }
        });

    </script>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/flash-sale/edit.blade.php ENDPATH**/ ?>