<?php $__env->startSection('title', translate('Add new coupon')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/coupon.png')); ?>" alt="<?php echo e(translate('coupon')); ?>">
                <?php echo e(translate('add_new_coupon')); ?>

            </h2>
        </div>

        <div class="card">
            <div class="card-body">
                <form action="<?php echo e(route('admin.coupon.store')); ?>" method="post">
                    <?php echo csrf_field(); ?>
                    <div class="row">
                        <div class="col-lg-4 col-sm-6">
                            <div class="form-group">
                                <label class="input-label"><?php echo e(translate('title')); ?></label>
                                <input type="text" name="title" value="<?php echo e(old('title')); ?>" class="form-control" placeholder="<?php echo e(translate('New coupon')); ?>" required maxlength="100">
                            </div>
                        </div>
                        <div class="col-lg-4 col-sm-6">
                            <div class="form-group">
                                <label class="input-label"><?php echo e(translate('coupon')); ?> <?php echo e(translate('type')); ?></label>
                                <select name="coupon_type" class="form-control coupon-type">
                                    <option value="default"><?php echo e(translate('default')); ?></option>
                                    <option value="first_order"><?php echo e(translate('first order')); ?></option>
                                </select>
                            </div>
                        </div>
                        <div class="col-lg-4 col-sm-6" id="limit-for-user">
                            <div class="form-group">
                                <label class="input-label"><?php echo e(translate('limit')); ?> <?php echo e(translate('for')); ?> <?php echo e(translate('same')); ?> <?php echo e(translate('user')); ?></label>
                                <input type="number" name="limit" id="user-limit" value="<?php echo e(old('limit')); ?>" class="form-control" max="100000" placeholder="<?php echo e(translate('EX: 10')); ?>" required min="1">
                            </div>
                        </div>

                        <div class="col-lg-4 col-sm-6">
                            <div class="form-group">
                                <div class="d-flex justify-content-between">
                                    <label class="input-label"><?php echo e(translate('code')); ?></label>
                                    <a href="javascript:void(0)" class="float-right c1 fz-12 generate-code"><?php echo e(translate('generate_code')); ?></a>
                                </div>
                                <input type="text" name="code" class="form-control" maxlength="15" id="code" value="<?php echo e(old('code')); ?>"
                                       placeholder="<?php echo e(\Illuminate\Support\Str::random(8)); ?>" required>
                            </div>
                        </div>
                        <div class="col-lg-4 col-sm-6">
                            <div class="form-group">
                                <label class="input-label"><?php echo e(translate('start')); ?> <?php echo e(translate('date')); ?></label>
                                <input type="text" name="start_date" id="start_date" class="js-flatpickr form-control flatpickr-custom" placeholder="<?php echo e(translate('Select date')); ?>" data-hs-flatpickr-options='{ "dateFormat": "Y/m/d", "minDate": "today" }'>
                            </div>
                        </div>
                        <div class="col-lg-4 col-sm-6">
                            <div class="form-group">
                                <label class="input-label"><?php echo e(translate('expire')); ?> <?php echo e(translate('date')); ?></label>
                                <input type="text" name="expire_date" id="expire_date" class="js-flatpickr form-control flatpickr-custom" placeholder="<?php echo e(translate('Select date')); ?>" data-hs-flatpickr-options='{ "dateFormat": "Y/m/d", "minDate": "today" }'>
                            </div>
                        </div>

                        <div class="col-lg-4 col-sm-6">
                            <div class="form-group">
                                <label class="input-label"><?php echo e(translate('min')); ?> <?php echo e(translate('purchase')); ?></label>
                                <input type="number" step="0.01" name="min_purchase" value="<?php echo e(old('min_purchase')); ?>" min="0" max="100000" class="form-control"
                                       placeholder="<?php echo e(translate('100')); ?>">
                            </div>
                        </div>

                        <div class="col-lg-4 col-sm-6">
                            <div class="form-group">
                                <label class="input-label"><?php echo e(translate('discount')); ?><?php echo e(translate('type')); ?></label>
                                <select name="discount_type" id="discount_type" class="form-control">
                                    <option value="percent"><?php echo e(translate('percent')); ?></option>
                                    <option value="amount"><?php echo e(translate('amount')); ?></option>
                                </select>
                            </div>
                        </div>

                        <div class="col-lg-4 col-sm-6">
                            <div class="form-group">
                                <label class="input-label"><?php echo e(translate('discount')); ?></label>
                                <input type="number" step="0.01" min="1" max="100000" name="discount" value="<?php echo e(old('discount')); ?>" class="form-control" required>
                            </div>
                        </div>

                        <div class="col-lg-4 col-sm-6" id="max_discount_div">
                            <div class="form-group">
                                <label class="input-label"><?php echo e(translate('max')); ?> <?php echo e(translate('discount')); ?></label>
                                <input type="number" step="0.01" min="0" value="<?php echo e(old('max_discount')); ?>" max="100000" name="max_discount" class="form-control">
                            </div>
                        </div>

                    </div>

                    <div class="d-flex justify-content-end gap-3">
                        <button type="reset" class="btn btn-secondary"><?php echo e(translate('Reset')); ?></button>
                        <button type="submit" class="btn btn-primary"><?php echo e(translate('submit')); ?></button>
                    </div>
                </form>
            </div>
        </div>

        <div class="card mt-3">
            <div class="px-20 py-3">
                <div class="row gy-2 align-items-center">
                    <div class="col-sm-4">
                        <h5 class="text-capitalize d-flex align-items-center gap-2 mb-0">
                            <?php echo e(translate('coupon_table')); ?>

                            <span class="badge badge-soft-dark rounded-50 fz-12"><?php echo e($coupons->total()); ?></span>
                        </h5>
                    </div>
                    <div class="col-sm-8">
                        <div class="d-flex flex-wrap justify-content-sm-end gap-2">
                            <form action="#" method="GET">
                                <div class="input-group">
                                    <input id="datatableSearch_" type="search" name="search"
                                        class="form-control"
                                        placeholder="<?php echo e(translate('Search by Title')); ?>" aria-label="Search"
                                        value="<?php echo e($search); ?>" required autocomplete="off">
                                    <div class="input-group-append">
                                        <button type="submit" class="btn btn-primary"><?php echo e(translate('search')); ?>

                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

            <div class="table-responsive datatable-custom">
                <table class="table table-borderless table-thead-bordered table-nowrap table-align-middle card-table">
                    <thead class="thead-light">
                    <tr>
                        <th><?php echo e(translate('SL')); ?></th>
                        <th><?php echo e(translate('title')); ?></th>
                        <th><?php echo e(translate('code')); ?></th>
                        <th><?php echo e(translate('min')); ?> <?php echo e(translate('purchase')); ?></th>
                        <th><?php echo e(translate('max')); ?> <?php echo e(translate('discount')); ?></th>
                        <th><?php echo e(translate('discount')); ?></th>
                        <th><?php echo e(translate('discount')); ?> <?php echo e(translate('type')); ?></th>
                        <th><?php echo e(translate('start')); ?> <?php echo e(translate('date')); ?></th>
                        <th><?php echo e(translate('expire')); ?> <?php echo e(translate('date')); ?></th>
                        <th><?php echo e(translate('status')); ?></th>
                        <th class="text-center"><?php echo e(translate('action')); ?></th>
                    </tr>
                    </thead>

                    <tbody>
                    <?php $__currentLoopData = $coupons; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$coupon): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($coupons->firstItem()+$key); ?></td>
                            <td><?php echo e($coupon['title']); ?></td>
                            <td><?php echo e($coupon['code']); ?></td>
                            <td><?php echo e(Helpers::set_symbol($coupon['min_purchase'])); ?></td>
                            <td><?php echo e($coupon['discount_type'] == 'percent' ? Helpers::set_symbol($coupon['max_discount']) : '-'); ?></td>
                            <td><?php echo e($coupon['discount']); ?></td>
                            <td><?php echo e(translate($coupon['discount_type'])); ?></td>
                            <td><?php echo e(date('d-m-Y', strtotime($coupon['start_date']))); ?></td>
                            <td><?php echo e(date('d-m-Y', strtotime($coupon['expire_date']))); ?></td>
                            <td>
                                <?php if($coupon['status']==1): ?>
                                    <label class="switcher">
                                        <input type="checkbox" class="switcher_input change-status" checked id="<?php echo e($coupon['id']); ?>"
                                               data-route="<?php echo e(route('admin.coupon.status',[$coupon['id'],0])); ?>">
                                        <span class="switcher_control"></span>
                                    </label>
                                <?php else: ?>
                                    <label class="switcher">
                                        <input type="checkbox" class="switcher_input change-status"  id="<?php echo e($coupon['id']); ?>"
                                               data-route="<?php echo e(route('admin.coupon.status',[$coupon['id'],1])); ?>">
                                        <span class="switcher_control"></span>
                                    </label>
                                <?php endif; ?>
                            </td>
                            <td>
                                <div class="d-flex justify-content-center gap-2">
                                    <a class="btn btn-outline-warning square-btn coupon_details" id="coupon_details"
                                       href="#" data-toggle="modal" data-id="<?php echo e($coupon['id']); ?>" data-toggle="modal" data-target="#exampleModalCenter">
                                        <i class="tio-invisible"></i>
                                    </a>

                                    <a class="btn btn-outline-info square-btn"
                                        href="<?php echo e(route('admin.coupon.update',[$coupon['id']])); ?>"><i class="tio tio-edit"></i>
                                    </a>
                                    <a class="btn btn-outline-danger square-btn form-alert" href="javascript:"
                                       data-id="coupon-<?php echo e($coupon['id']); ?>"
                                       data-message="<?php echo e(translate('Want to delete this attribute ?')); ?>">
                                        <i class="tio tio-delete"></i>
                                    </a>
                                </div>
                                <form action="<?php echo e(route('admin.coupon.delete',[$coupon['id']])); ?>"
                                        method="post" id="coupon-<?php echo e($coupon['id']); ?>">
                                    <?php echo csrf_field(); ?> <?php echo method_field('delete'); ?>
                                </form>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>

            <div class="table-responsive mt-4 px-3">
                <div class="d-flex justify-content-end">
                    <?php echo $coupons->links(); ?>

                </div>
            </div>
            <?php if(count($coupons)==0): ?>
                <div class="text-center p-4">
                    <img class="mb-3 width-7rem" src="<?php echo e(asset('public/assets/admin//svg/illustrations/sorry.svg')); ?>" alt="<?php echo e(translate('Image')); ?>">
                    <p class="mb-0"><?php echo e(translate('No data to show')); ?></p>
                </div>
            <?php endif; ?>
        </div>
    </div>

    <div class="modal fade" id="quick-view" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered coupon-details" role="document">
            <div class="modal-content" id="quick-view-modal">
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script src="<?php echo e(asset('public/assets/admin/js/coupon.js')); ?>"></script>
    <script>
        "use strict";

        $('.coupon_details').on('click', function (){
            let id = $(this).data('id')
            $.ajax({
                type: 'GET',
                url: '<?php echo e(route('admin.coupon.details')); ?>',
                data: {
                    id: id
                },
                beforeSend: function () {
                    $('#loading').show();
                },
                success: function (data) {
                    $('#loading').hide();
                    $('#quick-view').modal('show');
                    $('#quick-view-modal').empty().html(data.view);
                }
            });
        });

    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/coupon/index.blade.php ENDPATH**/ ?>