<?php $__env->startSection('title', translate('Order Details')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="mb-3">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img src="<?php echo e(asset('public/assets/admin/img/icons/all_orders.png')); ?>" alt="<?php echo e(translate('order_details')); ?>">
                <?php echo e(translate('order_details')); ?>

                <span class="badge badge-soft-dark rounded-50 fz-14"><?php echo e($order->details->count()); ?></span>
            </h2>
        </div>
        <div class="row" id="printableArea">
            <div class="col-lg-<?php echo e($order->user_id == null ? 12 : 8); ?> mb-3 mb-lg-0">
                <div class="card mb-3 mb-lg-5">
                    <div class="card-body">
                        <div class="mb-3 text-dark d-print-none">
                            <div class="row gy-3">
                                <div class="col-sm-6">
                                    <div class="d-flex flex-column justify-content-between h-100">
                                        <div class="d-flex flex-column gap-2">
                                            <h2 class="page-header-title"><?php echo e(translate('order')); ?> #<?php echo e($order['id']); ?></h2>
                                            <div>
                                                <i class="tio-date-range"></i> <?php echo e(date('d M Y h:i a',strtotime($order['created_at']))); ?>

                                            </div>
                                            <h5>
                                                <i class="tio-shop"></i>
                                                <?php echo e(translate('branch')); ?> : <label class="badge badge-secondary"><?php echo e($order->branch?$order->branch->name:'Branch deleted!'); ?></label>
                                            </h5>
                                        </div>

                                        <?php if($order['order_type'] != 'pos'): ?>
                                            <div><strong><?php echo e(translate('order_Note')); ?>:</strong> <?php echo e($order['order_note']); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="d-flex flex-column gap-2 align-items-sm-end">
                                        <div class="d-flex gap-2">
                                            <div class="hs-unfold">
                                                <?php if($order['order_status']=='out_for_delivery'): ?>
                                                    <?php ($origin=\App\Model\DeliveryHistory::where(['deliveryman_id'=>$order['delivery_man_id'],'order_id'=>$order['id']])->first()); ?>
                                                    <?php ($current=\App\Model\DeliveryHistory::where(['deliveryman_id'=>$order['delivery_man_id'],'order_id'=>$order['id']])->latest()->first()); ?>
                                                    <?php if(isset($origin)): ?>
                                                        <a class="btn btn-outline-primary" target="_blank"
                                                           title="Delivery Boy Last Location" data-toggle="tooltip" data-placement="top"
                                                           href="https://www.google.com/maps/dir/?api=1&origin=<?php echo e($origin['latitude']); ?>,<?php echo e($origin['longitude']); ?>&destination=<?php echo e($current['latitude']); ?>,<?php echo e($current['longitude']); ?>">
                                                            <i class="tio-map"></i>
                                                        </a>
                                                    <?php else: ?>
                                                        <a class="btn btn-outline-primary" href="javascript:" data-toggle="tooltip"
                                                           data-placement="top" title="<?php echo e(translate('Waiting for location...')); ?>">
                                                            <i class="tio-map"></i>
                                                        </a>
                                                    <?php endif; ?>
                                                <?php else: ?>
                                                    <a class="btn btn-outline-dark last_location_view" href="javascript:"
                                                       data-toggle="tooltip" data-placement="top"
                                                       title= "<?php echo e(translate('Only available when order is out for delivery!')); ?>">
                                                        <i class="tio-map"></i>
                                                    </a>
                                                <?php endif; ?>
                                            </div>

                                            <a class="btn btn-primary" target="_blank"
                                                href=<?php echo e(route('admin.orders.generate-invoice',[$order['id']])); ?>>
                                                <i class="tio-print"></i> <?php echo e(translate('print_invoice')); ?>

                                            </a>
                                        </div>

                                        <div class="d-flex justify-content-sm-end gap-2">
                                            <div><?php echo e(translate('Order_Status')); ?>:</div>
                                            <?php if($order['order_status']=='pending'): ?>
                                                <span class="text-info text-capitalize"><?php echo e(translate('pending')); ?></span>
                                            <?php elseif($order['order_status']=='confirmed'): ?>
                                                <span class="text-info text-capitalize"><?php echo e(translate('confirmed')); ?></span>
                                            <?php elseif($order['order_status']=='processing'): ?>
                                                <span class="text-warning text-capitalize"><?php echo e(translate('processing')); ?></span>
                                            <?php elseif($order['order_status']=='out_for_delivery'): ?>
                                                <span class="text-warning text-capitalize"><?php echo e(translate('out_for_delivery')); ?></span>
                                            <?php elseif($order['order_status']=='delivered'): ?>
                                                <span class="text-success text-capitalize"><?php echo e(translate('delivered')); ?></span>
                                            <?php else: ?>
                                                <span class="text-danger text-capitalize"><?php echo e(str_replace('_',' ',$order['order_status'])); ?></span>
                                            <?php endif; ?>
                                        </div>

                                        <div class="d-flex justify-content-sm-end gap-2">
                                            <div><?php echo e(translate('payment_Method')); ?>:</div>
                                            <div><?php echo e(str_replace('_',' ',$order['payment_method'])); ?></div>
                                        </div>
                                        <?php if($order['payment_method'] != 'cash_on_delivery'): ?>
                                            <div class="d-flex justify-content-sm-end align-items-center gap-2" >
                                                <?php if($order['transaction_reference']==null && $order['order_type']!='pos'): ?>
                                                    <div><?php echo e(translate('reference_Code')); ?>:</div>
                                                    <button class="btn btn-outline-primary btn-sm py-1" data-toggle="modal"
                                                            data-target=".bd-example-modal-sm">
                                                        <?php echo e(translate('add')); ?>

                                                    </button>
                                                <?php elseif($order['order_type']!='pos'): ?>
                                                    <div><?php echo e(translate('reference_Code')); ?>:</div>
                                                    <div><?php echo e($order['transaction_reference']); ?></div>
                                                <?php endif; ?>
                                            </div>
                                        <?php endif; ?>

                                        <div class="d-flex justify-content-sm-end gap-2">
                                            <div><?php echo e(translate('Payment_Status')); ?>:</div>
                                            <?php if($order['payment_status']=='paid'): ?>
                                                <span class="text-success"><?php echo e(translate('paid')); ?></span>
                                            <?php else: ?>
                                                <span class="text-danger"><?php echo e(translate('unpaid')); ?></span>
                                            <?php endif; ?>
                                        </div>

                                        <div class="d-flex justify-content-sm-end gap-2">
                                            <div><?php echo e(translate('order_Type')); ?>:</div>
                                            <label class="text-primary"><?php echo e(str_replace('_',' ',$order['order_type'])); ?></label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php ($item_amount=0); ?>
                        <?php ($sub_total=0); ?>
                        <?php ($total_tax=0); ?>
                        <?php ($total_dis_on_pro=0); ?>
                        <?php ($total_item_discount=0); ?>

                        <div class="table-responsive">
                            <table class="table table-bordered table-align-middle text-dark">
                                <thead class="thead-light">
                                    <tr>
                                        <th><?php echo e(translate('SL')); ?></th>
                                        <th><?php echo e(translate('Item Description')); ?></th>
                                        <th><?php echo e(translate('Unit Price')); ?></th>
                                        <th><?php echo e(translate('Discount')); ?></th>
                                        <th><?php echo e(translate('Qty')); ?></th>
                                        <th class="text-right"><?php echo e(translate('Total')); ?></th>
                                    </tr>
                                </thead>
                                <tbody>
                                <?php $__currentLoopData = $order->details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($detail->product_details != null): ?>
                                        <?php ($product = json_decode($detail->product_details, true)); ?>
                                        <tr>
                                            <td><?php echo e($loop->iteration); ?></td>
                                            <td>
                                                <div class="media gap-3 max-content">
                                                    <div class="avatar-xl">
                                                        <?php if($detail->product && $detail->product['image'] != null ): ?>
                                                        <img class="img-fit"
                                                             src="<?php echo e($detail->product['image_fullpath'][0]); ?>"
                                                             alt="<?php echo e(translate('image')); ?>">
                                                        <?php else: ?>
                                                            <img src="<?php echo e(asset('public/assets/admin/img/160x160/img2.jpg')); ?>"
                                                                class="img-fit img-fluid rounded aspect-ratio-1"  alt="<?php echo e(translate('image')); ?>">
                                                        <?php endif; ?>
                                                    </div>
                                                    <div class="media-body">
                                                        <h6 class="mb-1 w-24ch"><?php echo e($product['name']); ?></h6>
                                                        <?php if(count(json_decode($detail['variation'],true))>0): ?>
                                                            <?php $__currentLoopData = json_decode($detail['variation'],true)[0] ?? json_decode($detail['variation'],true); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key1 =>$variation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <div class="font-size-sm text-body text-capitalize">
                                                                    <?php if($variation != null): ?>
                                                                        <span><?php echo e($key1); ?> :  </span>
                                                                    <?php endif; ?>
                                                                    <span class="font-weight-bold"><?php echo e($variation); ?></span>
                                                                </div>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        <?php endif; ?>
                                                    </div>
                                                </div>
                                            </td>
                                            <td>
                                                <?php echo e(Helpers::set_symbol($detail['price'])); ?>

                                            </td>
                                            <td><?php echo e(Helpers::set_symbol($detail['discount_on_product'])); ?></td>
                                            <td><?php echo e($detail['quantity']); ?></td>
                                            <td class="text-right">
                                                <?php ($amount=($detail['price']-$detail['discount_on_product'])*$detail['quantity']); ?>
                                                <?php echo e(Helpers::set_symbol($amount)); ?>

                                            </td>
                                        </tr>
                                        <?php ($item_amount+=$detail['price']*$detail['quantity']); ?>
                                        <?php ($sub_total+=$amount); ?>
                                        <?php ($total_tax+=$detail['tax_amount']*$detail['quantity']); ?>
                                        <?php ($total_item_discount += $detail['discount_on_product'] * $detail['quantity']); ?>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>

                        <div class="row justify-content-md-end mb-3">
                            <div class="col-md-9 col-lg-8">
                                <dl class="row">
                                    <dt class="col-6"><?php echo e(translate('items')); ?> <?php echo e(translate('price')); ?>:</dt>
                                    <dd class="col-6 text-end"><?php echo e(Helpers::set_symbol($item_amount)); ?></dd>

                                    <dt class="col-6"><?php echo e(translate('item_discount')); ?>:</dt>
                                    <dd class="col-6 text-end"><?php echo e(Helpers::set_symbol($total_item_discount)); ?></dd>

                                    <dt class="col-6"><?php echo e(translate('tax')); ?> / <?php echo e(translate('vat')); ?>:</dt>
                                    <dd class="col-6 text-end"><?php echo e(Helpers::set_symbol($total_tax)); ?></dd>

                                    <dt class="col-6"><?php echo e(translate('subtotal')); ?>:</dt>
                                    <dd class="col-6 text-end"><?php echo e(Helpers::set_symbol($sub_total+$total_tax)); ?></dd>
                                    <dt class="col-6"><?php echo e(translate('coupon')); ?> <?php echo e(translate('discount')); ?>:</dt>
                                    <dd class="col-6 text-end"> - <?php echo e(Helpers::set_symbol($order['coupon_discount_amount'])); ?></dd>

                                    <?php if($order['order_type'] == 'pos'): ?>
                                        <dt class="col-6"><?php echo e(translate('Extra Discount')); ?>:</dt>
                                        <dd class="col-6 text-end"> - <?php echo e(Helpers::set_symbol($order['extra_discount'])); ?></dd>
                                    <?php endif; ?>
                                    <dt class="col-6"><?php echo e(translate('delivery')); ?> <?php echo e(translate('fee')); ?>:</dt>
                                    <dd class="col-6 text-end">
                                        <?php if($order['order_type']=='self_pickup'): ?>
                                            <?php ($del_c=0); ?>
                                        <?php else: ?>
                                            <?php ($del_c=$order['delivery_charge']); ?>
                                        <?php endif; ?>
                                        <?php echo e(Helpers::set_symbol($del_c)); ?>

                                    </dd>

                                    <dt class="col-6 border-top pt-2 font-weight-bold"><?php echo e(translate('total')); ?>:</dt>
                                    <dd class="col-6 text-end border-top pt-2 font-weight-bold"><?php echo e(Helpers::set_symbol($sub_total+$del_c+$total_tax-$order['coupon_discount_amount']-$order['extra_discount'])); ?></dd>
                                </dl>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <?php if($order->user_id != null): ?>
                <div class="col-lg-4">
                    <?php if($order['order_type'] != 'pos'): ?>
                    <div class="card mb-3">
                        <div class="card-body text-capitalize d-flex flex-column">
                            <h4 class="mb-0 text-center"><?php echo e($order['order_type'] != 'pos' ? translate('Order & Shipping Info ') : translate('Order Info')); ?></h4>

                            <div class="mt-2">
                                <?php if($order['order_type'] != 'pos'): ?>
                                    <h6><?php echo e(translate('Order Status')); ?></h6>
                                    <select name="order_status" onchange="route_alert('<?php echo e(route('admin.orders.status',['id'=>$order['id']])); ?>'+'&order_status='+ this.value,'<?php echo e(translate("Change the order status to ")); ?>'+  this.value.replace(/_/g, ' '))" class="form-control">
                                        <option value="pending" <?php echo e($order['order_status'] == 'pending'? 'selected' : ''); ?>><?php echo e(translate('pending')); ?></option>
                                        <option value="confirmed" <?php echo e($order['order_status'] == 'confirmed'? 'selected' : ''); ?>> <?php echo e(translate('confirmed')); ?></option>
                                        <option value="processing" <?php echo e($order['order_status'] == 'processing'? 'selected' : ''); ?>> <?php echo e(translate('processing')); ?></option>
                                        <option value="out_for_delivery" <?php echo e($order['order_status'] == 'out_for_delivery'? 'selected' : ''); ?>><?php echo e(translate('Out_For_Delivery')); ?> </option>
                                        <option value="delivered" <?php echo e($order['order_status'] == 'delivered'? 'selected' : ''); ?>><?php echo e(translate('Delivered')); ?> </option>
                                        <option value="returned" <?php echo e($order['order_status'] == 'returned'? 'selected' : ''); ?>> <?php echo e(translate('Returned')); ?></option>
                                        <option value="failed" <?php echo e($order['order_status'] == 'failed'? 'selected' : ''); ?>><?php echo e(translate('Failed')); ?> </option>
                                        <option value="canceled" <?php echo e($order['order_status'] == 'canceled'? 'selected' : ''); ?>><?php echo e(translate('canceled')); ?> </option>
                                    </select>
                                <?php endif; ?>
                            </div>

                            <div class="mt-3">
                                <?php if($order['order_type'] != 'pos'): ?>
                                    <h6><?php echo e(translate('Payment Status')); ?></h6>
                                    <select name="order_status" onchange="route_alert('<?php echo e(route('admin.orders.payment-status',['id'=>$order['id']])); ?>'+'&payment_status='+ this.value,'<?php echo e(translate("Change status to ")); ?>' + this.value)" class="form-control">
                                        <option value="paid" <?php echo e($order['payment_status'] == 'paid'? 'selected' : ''); ?>> <?php echo e(translate('paid')); ?></option>
                                        <option value="unpaid" <?php echo e($order['payment_status'] == 'unpaid'? 'selected' : ''); ?>><?php echo e(translate('unpaid')); ?> </option>
                                    </select>
                                <?php endif; ?>
                            </div>

                            <?php if($order['order_type']!='self_pickup' && $order['order_type'] != 'pos'): ?>
                                <div class="mt-3">
                                    <h6><?php echo e(translate('Select Deliveryman')); ?></h6>
                                    <select class="form-control" name="delivery_man_id" id="select-delivery-man">
                                        <option value="0"><?php echo e(translate('select')); ?> <?php echo e(translate('deliveryman')); ?></option>
                                        <?php $__currentLoopData = $deliverymen; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $deliveryman): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($deliveryman['id']); ?>" <?php echo e($order['delivery_man_id']==$deliveryman['id']?'selected':''); ?>>
                                                <?php echo e($deliveryman['f_name'].' '.$deliveryman['l_name']); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                    <?php endif; ?>

                    <div class="card mb-3">
                        <div class="card-header">
                            <h4 class="card-header-title"><i class="tio tio-user"></i> <?php echo e(translate('Customer_Information')); ?></h4>
                        </div>

                        <div class="card-body">
                            <div class="media gap-3">
                                <?php if($order->customer): ?>
                                    <div class="avatar-lg rounded-circle">
                                        <img
                                            class="img-fit rounded-circle"
                                            src="<?php echo e($order->customer->image_fullpath); ?>"
                                            alt="Image Description">
                                    </div>
                                    <div class="media-body d-flex flex-column gap-1 text-dark">
                                        <div><?php echo e($order->customer['f_name'].' '.$order->customer['l_name']); ?></div>
                                        <div><?php echo e(\App\Model\Order::where('user_id',$order['user_id'])->count()); ?> <?php echo e(translate('orders')); ?></div>
                                        <a class="text-dark" href="tel:<?php echo e($order->customer['phone']); ?>"><?php echo e($order->customer['phone']); ?></a>
                                        <a class="text-dark" href="mailto:<?php echo e($order->customer['email']); ?>"><?php echo e($order->customer['email']); ?></a>
                                    </div>
                                <?php else: ?>
                                    <div class="media-body d-flex flex-column gap-1 text-dark">
                                        <span class="fz--14px text--title font-semibold text-hover-primary d-block">
                                                <?php echo e(translate('Customer_deleted')); ?>

                                            </span>
                                    </div>
                                <?php endif; ?>

                            </div>
                        </div>
                    </div>
                    <?php if($order['order_type']!='self_pickup' && $order['order_type'] != 'pos'): ?>
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-header-title">
                                    <i class="tio tio-user"></i>
                                    <?php echo e(translate('Delivery_Address')); ?>

                                </h4>
                            </div>

                            <div class="card-body">
                                <?php ($address=\App\Model\CustomerAddress::find($order['delivery_address_id'])); ?>
                                <div class="d-flex justify-content-between gap-3">
                                    <?php if(isset($address)): ?>
                                        <div class="delivery--information-single flex-column flex-grow-1">
                                            <div class="d-flex">
                                                <div class="name"><?php echo e(translate('name')); ?></div>
                                                <div class="info"><?php echo e($address['contact_person_name']); ?></div>
                                            </div>
                                            <div class="d-flex">
                                                <div class="name"><?php echo e(translate('contact')); ?></div>
                                                <a href="tel:<?php echo e($address['contact_person_number']); ?>" class="info"><?php echo e($address['contact_person_number']); ?></a>
                                            </div>
                                            <?php if($address['floor']): ?>
                                                <div class="d-flex">
                                                    <div class="name"><?php echo e(translate('floor')); ?></div>
                                                    <div class="info">#<?php echo e($address['floor']); ?></div>
                                                </div>
                                            <?php endif; ?>
                                            <?php if($address['house']): ?>
                                                <div class="d-flex">
                                                    <div class="name"><?php echo e(translate('house')); ?></div>
                                                    <div class="info">#<?php echo e($address['house']); ?></div>
                                                </div>
                                            <?php endif; ?>
                                            <?php if($address['road']): ?>
                                                <div class="d-flex">
                                                    <div class="name"><?php echo e(translate('road')); ?></div>
                                                    <div class="info">#<?php echo e($address['road']); ?></div>
                                                </div>
                                            <?php endif; ?>
                                            <hr class="w-100">
                                            <div>
                                                <a target="_blank" class="text-dark d-flex align-items-center gap-3"
                                                   href="http://maps.google.com/maps?z=12&t=m&q=loc:<?php echo e($address['latitude']); ?>+<?php echo e($address['longitude']); ?>">
                                                    <i class="tio-map"></i> <?php echo e($address['address']); ?><br>
                                                </a>
                                            </div>
                                        </div>
                                    <?php endif; ?>
                                    <?php if(isset($address)): ?>
                                        <a class="link" data-toggle="modal" data-target="#shipping-address-modal"
                                           href="javascript:"><i class="tio tio-edit"></i></a>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
            <?php endif; ?>
        </div>
    </div>

    <div class="modal fade bd-example-modal-sm" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-sm" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title h4" id="mySmallModalLabel"><?php echo e(translate('reference')); ?> <?php echo e(translate('code')); ?> <?php echo e(translate('add')); ?></h5>
                    <button type="button" class="btn btn-xs btn-icon btn-ghost-secondary" data-dismiss="modal"
                            aria-label="Close">
                        <i class="tio-clear tio-lg"></i>
                    </button>
                </div>

                <form action="<?php echo e(route('admin.orders.add-payment-ref-code',[$order['id']])); ?>" method="post">
                    <?php echo csrf_field(); ?>
                    <div class="modal-body">
                        <div class="form-group">
                            <input type="text" name="transaction_reference" class="form-control"
                                   placeholder="EX : Code123" required>
                        </div>

                        <div class="d-flex justify-content-end">
                            <button class="btn btn-primary"><?php echo e(translate('submit')); ?></button>
                        </div>
                    </div>
                </form>

            </div>
        </div>
    </div>

    <div id="shipping-address-modal" class="modal fade" tabindex="-1" role="dialog"
         aria-labelledby="exampleModalTopCoverTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-top-cover bg-dark text-center">
                    <figure class="position-absolute right-0 bottom-0 left-0 mb-minus-1px">
                        <svg preserveAspectRatio="none" xmlns="http://www.w3.org/2000/svg" x="0px" y="0px"
                             viewBox="0 0 1920 100.1">
                            <path fill="#fff" d="M0,0c0,0,934.4,93.4,1920,0v100.1H0L0,0z"/>
                        </svg>
                    </figure>

                    <div class="modal-close">
                        <button type="button" class="btn btn-icon btn-sm btn-ghost-light" data-dismiss="modal"
                                aria-label="Close">
                            <svg width="16" height="16" viewBox="0 0 18 18" xmlns="http://www.w3.org/2000/svg">
                                <path fill="currentColor"
                                      d="M11.5,9.5l5-5c0.2-0.2,0.2-0.6-0.1-0.9l-1-1c-0.3-0.3-0.7-0.3-0.9-0.1l-5,5l-5-5C4.3,2.3,3.9,2.4,3.6,2.6l-1,1 C2.4,3.9,2.3,4.3,2.5,4.5l5,5l-5,5c-0.2,0.2-0.2,0.6,0.1,0.9l1,1c0.3,0.3,0.7,0.3,0.9,0.1l5-5l5,5c0.2,0.2,0.6,0.2,0.9-0.1l1-1 c0.3-0.3,0.3-0.7,0.1-0.9L11.5,9.5z"/>
                            </svg>
                        </button>
                    </div>
                </div>

                <div class="modal-top-cover-icon">
                    <span class="icon icon-lg icon-light icon-circle icon-centered shadow-soft">
                      <i class="tio-location-search"></i>
                    </span>
                </div>

                <?php ($address=\App\Model\CustomerAddress::find($order['delivery_address_id'])); ?>
                <?php if(isset($address)): ?>
                    <form action="<?php echo e(route('admin.order.update-shipping',[$order['delivery_address_id']])); ?>"
                          method="post">
                        <?php echo csrf_field(); ?>
                        <div class="modal-body">
                            <div class="row mb-3">
                                <label for="requiredLabel" class="col-md-2 col-form-label input-label text-md-right">
                                    <?php echo e(translate('type')); ?>

                                </label>
                                <div class="col-md-10 js-form-message">
                                    <input type="text" class="form-control" name="address_type"
                                           value="<?php echo e($address['address_type']); ?>" required>
                                </div>
                            </div>
                            <div class="row mb-3">
                                <label for="requiredLabel" class="col-md-2 col-form-label input-label text-md-right">
                                    <?php echo e(translate('contact')); ?>

                                </label>
                                <div class="col-md-10 js-form-message">
                                    <input type="text" class="form-control" name="contact_person_number"
                                           value="<?php echo e($address['contact_person_number']); ?>" required>
                                </div>
                            </div>
                            <div class="row mb-3">
                                <label for="requiredLabel" class="col-md-2 col-form-label input-label text-md-right">
                                    <?php echo e(translate('name')); ?>

                                </label>
                                <div class="col-md-10 js-form-message">
                                    <input type="text" class="form-control" name="contact_person_name"
                                           value="<?php echo e($address['contact_person_name']); ?>" required>
                                </div>
                            </div>
                            <div class="row mb-3">
                                <label for="requiredLabel" class="col-md-2 col-form-label input-label text-md-right">
                                    <?php echo e(translate('address')); ?>

                                </label>
                                <div class="col-md-10 js-form-message">
                                    <input type="text" class="form-control" name="address"
                                           value="<?php echo e($address['address']); ?>" required>
                                </div>
                            </div>
                            <div class="row mb-3">
                                <label for="requiredLabel" class="col-md-2 col-form-label input-label text-md-right">
                                    <?php echo e(translate('road')); ?>

                                </label>
                                <div class="col-md-10 js-form-message">
                                    <input type="text" class="form-control" name="road" value="<?php echo e($address['road']); ?>">
                                </div>
                            </div>
                            <div class="row mb-3">
                                <label for="requiredLabel" class="col-md-2 col-form-label input-label text-md-right">
                                    <?php echo e(translate('house')); ?>

                                </label>
                                <div class="col-md-4 js-form-message">
                                    <input type="text" class="form-control" name="house" value="<?php echo e($address['house']); ?>">
                                </div>
                                <label for="requiredLabel" class="col-md-2 col-form-label input-label text-md-right">
                                    <?php echo e(translate('floor')); ?>

                                </label>
                                <div class="col-md-4 js-form-message">
                                    <input type="text" class="form-control" name="floor" value="<?php echo e($address['floor']); ?>">
                                </div>
                            </div>
                            <div class="row mb-3">
                                <label for="requiredLabel" class="col-md-2 col-form-label input-label text-md-right">
                                    <?php echo e(translate('latitude')); ?>

                                </label>
                                <div class="col-md-4 js-form-message">
                                    <input type="text" class="form-control" name="latitude"
                                           value="<?php echo e($address['latitude']); ?>"
                                           required>
                                </div>
                                <label for="requiredLabel" class="col-md-2 col-form-label input-label text-md-right">
                                    <?php echo e(translate('longitude')); ?>

                                </label>
                                <div class="col-md-4 js-form-message">
                                    <input type="text" class="form-control" name="longitude"
                                           value="<?php echo e($address['longitude']); ?>" required>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-white" data-dismiss="modal"><?php echo e(translate('close')); ?></button>
                            <button type="submit" class="btn btn-primary"><?php echo e(translate('save')); ?> <?php echo e(translate('changes')); ?></button>
                        </div>
                    </form>
                <?php endif; ?>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script>
        "use strict"

        $('#select-delivery-man').on('change', function (){
            let id = $(this).val();
            addDeliveryMan(id);
        })

        function addDeliveryMan(id) {
            $.ajax({
                type: "GET",
                url: '<?php echo e(url('/')); ?>/admin/orders/add-delivery-man/<?php echo e($order['id']); ?>/' + id,
                data: $('#product_form').serialize(),
                success: function (data) {
                    if(data.status == true) {
                        toastr.success('<?php echo e(translate("Delivery man successfully assigned/changed")); ?>', {
                            CloseButton: true,
                            ProgressBar: true
                        });
                    }else{
                        toastr.error('<?php echo e(translate("Deliveryman man can not assign/change in that status")); ?>', {
                            CloseButton: true,
                            ProgressBar: true
                        });
                    }
                },
                error: function () {
                    toastr.error('<?php echo e(translate("Add valid data")); ?>', {
                        CloseButton: true,
                        ProgressBar: true
                    });
                }
            });
        }

        $('.last_location_view').on('click', function (){
            toastr.warning('<?php echo e(translate("Only available when order is out for delivery!")); ?>', {
                CloseButton: true,
                ProgressBar: true
            });
        })

    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/order/order-view.blade.php ENDPATH**/ ?>