<?php $__env->startSection('title', translate('Location Settings')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
    <?php ($branch_count=\App\Model\Branch::count()); ?>
        <div class="mb-4">
            <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/system-setting.png')); ?>" alt="<?php echo e(translate('system-setting-png')); ?>">
                <?php echo e(translate('system_setup')); ?>

            </h2>
        </div>

        <div class="inline-page-menu mb-4">
            <?php echo $__env->make('admin-views.business-settings.partial.system-setup-nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>

        <div class="alert alert-soft-danger mb-4" role="alert">
            <?php echo e(translate("This location setup is for your Main branch. Carefully set your restaurant location and coverage area.
                If you want to ignore the coverage area then keep the input box empty.<br>
                You can ignore this when you have only the default branch and you don't want coverage area.")); ?>

        </div>


        <div class="card">
            <div class="card-body">
                <form action="<?php echo e(route('admin.business-settings.update-location')); ?>" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <?php ($data=\App\Model\Branch::find(1)); ?>
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="input-label" for="exampleFormControlInput1"><?php echo e(translate('latitude')); ?></label>
                                <input type="text" value="<?php echo e($data['latitude']); ?>"
                                       name="latitude" class="form-control"
                                       placeholder="<?php echo e(translate('Ex : -94.22213')); ?>" <?php echo e($branch_count>1?'required':''); ?>>
                            </div>
                        </div>

                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="input-label" for="exampleFormControlInput1"><?php echo e(translate('longitude')); ?></label>
                                <input type="text" value="<?php echo e($data['longitude']); ?>"
                                       name="longitude" class="form-control"
                                       placeholder="<?php echo e(translate('Ex : 103.344322')); ?>" <?php echo e($branch_count>1?'required':''); ?>>
                            </div>
                        </div>

                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="input-label">
                                    <?php echo e(translate('coverage')); ?> ( <?php echo e(translate('km')); ?> )
                                    <i class="tio-info-outlined"
                                       data-toggle="tooltip"
                                       data-placement="top"
                                       title="<?php echo e(translate('This value is the radius from your restaurant location, and customer can order food inside  the circle calculated by this radius.')); ?>">
                                    </i>
                                </label>
                                <input type="number" value="<?php echo e($data['coverage']); ?>"
                                       name="coverage" class="form-control" placeholder="<?php echo e(translate('Ex : 3')); ?>" <?php echo e($branch_count>1?'required':''); ?>>
                            </div>
                        </div>
                    </div>

                    <div class="d-flex justify-content-end">
                        <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                class="btn btn-primary demo-form-submit"><?php echo e(translate('update')); ?>

                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/business-settings/location-index.blade.php ENDPATH**/ ?>