<?php $__env->startSection('title', translate('Customer Details')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="d-print-none pb-2">
            <div class="mb-3">
                <h2 class="text-capitalize mb-0 d-flex align-items-center gap-2">
                    <img width="20" src="<?php echo e(asset('public/assets/admin/img/icons/customer.png')); ?>" alt="<?php echo e(translate('customer')); ?>">
                    <?php echo e(translate('Customer Details')); ?>

                </h2>
            </div>

            <div class="border-top"></div>

            <div class="d-flex flex-wrap justify-content-between gap-3 align-items-center py-3">
                <div>
                    <h3 class="page-header-title"><?php echo e(translate('customer_ID')); ?> #<?php echo e($customer['id']); ?></h3>
                    <div class="fs-12">
                        <i class="tio-date-range"></i>
                        <?php echo e(translate('joined_at')); ?> : <?php echo e(date('d M Y H:i:s',strtotime($customer['created_at']))); ?>

                    </div>
                </div>

                <a href="<?php echo e(route('admin.dashboard')); ?>" class="btn btn-primary">
                    <i class="tio-home-outlined"></i> <?php echo e(translate('dashboard')); ?>

                </a>
            </div>
        </div>

        <div class="row" id="printableArea">
            <div class="col-lg-8">
                <div class="card mb-3 mb-lg-0">
                    <div class="px-20 py-3">
                        <div class="row gy-2 align-items-center">
                            <div class="col-sm-4">
                                <h5 class="text-capitalize d-flex align-items-center gap-2 mb-0">
                                    <?php echo e(translate('customer_table')); ?>

                                    <span class="badge badge-soft-dark rounded-50 fz-12"><?php echo e($orders->total()); ?></span>
                                </h5>
                            </div>
                            <div class="col-sm-8">
                                <div class="d-flex flex-wrap justify-content-sm-end gap-2">
                                    <form action="<?php echo e(url()->current()); ?>" method="GET">
                                        <div class="input-group">
                                            <input type="text" name="search" class="form-control"
                                                placeholder="<?php echo e(translate('Search by Order ID')); ?>" aria-label="Search"
                                                value="<?php echo e($search); ?>" required autocomplete="off">
                                            <div class="input-group-append">
                                                <button type="submit" class="btn btn-primary"><?php echo e(translate('search')); ?></button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="table-responsive datatable-custom">
                        <table id="columnSearchDatatable"
                               class="table table-borderless table-thead-bordered table-nowrap table-align-middle card-table">
                            <thead class="thead-light">
                                <tr>
                                    <th><?php echo e(translate('SL')); ?></th>
                                    <th><?php echo e(translate('order_ID')); ?></th>
                                    <th><?php echo e(translate('total')); ?></th>
                                    <th class="text-center"><?php echo e(translate('action')); ?></th>
                                </tr>
                            </thead>

                            <tbody>
                            <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($orders->firstitem()+$key); ?></td>
                                    <td>
                                        <a class="text-dark" href="<?php echo e(route('admin.orders.details',['id'=>$order['id']])); ?>"><?php echo e($order['id']); ?></a>
                                    </td>
                                    <td><?php echo e(Helpers::set_symbol($order['order_amount'])); ?></td>
                                    <td>
                                        <div class="d-flex justify-content-center gap-2">
                                            <a class="btn btn-outline-info square-btn"
                                                href="<?php echo e(route('admin.orders.details',['id'=>$order['id']])); ?>">
                                                <i class="tio-visible"></i>
                                            </a>
                                            <a class="btn btn-outline-primary square-btn" target="_blank"
                                                href="<?php echo e(route('admin.orders.generate-invoice',[$order['id']])); ?>">
                                                <i class="tio-download"></i>
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>

                    <div class="table-responsive mt-4 px-3">
                        <div class="d-flex justify-content-end">
                            <?php echo $orders->links(); ?>

                        </div>
                    </div>
                </div>
            </div>

            <div class="col-lg-4">
                <div class="card">
                    <div class="card-header">
                        <h4 class="mb-0 d-flex align-items-center gap-2"><i class="tio tio-user"></i> <?php echo e(translate('customer_information')); ?></h4>
                    </div>
                    <?php if($customer): ?>
                        <div class="card-body">
                            <div class="media gap-3 flex-wrap align-items-center">
                                <div class="avatar-lg avatar-circle mr-3">
                                    <img src="<?php echo e($customer['image_fullpath']); ?>"
                                        class="img-fit rounded-circle"
                                        alt="Image Description">
                                </div>
                                <div class="media-body text-dark">
                                    <div><?php echo e($customer['f_name'].' '.$customer['l_name']); ?></div>
                                    <div><strong><?php echo e($customer->orders->count()); ?></strong> <?php echo e(translate('orders')); ?></div>
                                    <a class="text-dark d-flex" href="tel:<?php echo e($customer['phone']); ?>"><strong><?php echo e($customer['phone']); ?></strong></a>
                                    <a class="text-dark d-flex" href="mailto:<?php echo e($customer['email']); ?>"><?php echo e($customer['email']); ?></a>
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
                <div class="card mt-3">
                    <div class="card-header">
                        <h4 class="mb-0 d-flex align-items-center gap-2"><i class="tio tio-user"></i> <?php echo e(translate('addresses')); ?></h4>
                    </div>

                    <?php if($customer): ?>
                        <div class="card-body">
                            <?php $__currentLoopData = $customer->addresses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$address): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <ul class="list-unstyled list-unstyled-py-2 text-dark">
                                    <li>
                                        <i class="tio-tab mr-2"></i>
                                        <?php echo e($address['address_type']); ?>

                                    </li>
                                    <li>
                                        <i class="tio-android-phone-vs mr-2"></i>
                                        <?php echo e($address['contact_person_number']); ?>

                                    </li>
                                    <li>
                                        <a class="text-dark" target="_blank" href="http://maps.google.com/maps?z=12&t=m&q=loc:<?php echo e($address['latitude']); ?>+<?php echo e($address['longitude']); ?>">
                                            <i class="tio-map mr-2"></i>
                                            <?php echo e($address['address']); ?>

                                        </a>
                                    </li>
                                </ul>
                                <?php if($key+1 < count($customer->addresses)): ?>
                                    <hr>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/customer/customer-view.blade.php ENDPATH**/ ?>