<?php $__env->startSection('title', translate('Product Report')); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="page-header">
            <div class="media mb-3">
                <div class="avatar avatar-xl avatar-4by3 mr-2">
                    <img class="avatar-img" src="<?php echo e(asset('public/assets/admin/svg/illustrations/order.png')); ?>"
                         alt="<?php echo e(translate('image')); ?>">
                </div>

                <div class="media-body">
                    <div class="row">
                        <div class="col-lg mb-3 mb-lg-0">
                            <h1 class="page-header-title"><?php echo e(translate('product')); ?> <?php echo e(translate('report')); ?> <?php echo e(translate('overview')); ?></h1>

                            <div class="row align-items-center">
                                <div class="col-auto">
                                    <span><?php echo e(translate('admin')); ?>:</span>
                                    <a href="#"><?php echo e(auth('admin')->user()->f_name.' '.auth('admin')->user()->l_name); ?></a>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-auto">
                            <div class="d-flex">
                                <a class="btn btn-icon btn-primary rounded-circle" href="<?php echo e(route('admin.dashboard')); ?>">
                                    <i class="tio-home-outlined"></i>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div>
            <div class="card">
                <div class="card-header">
                    <div class="col-lg-12 pt-3">
                        <form action="#" id="form-data" method="GET">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="col-sm-6 col-xl-2 mb-3">
                                    <select class="custom-select custom-select" name="branch_id" id="branch_id">
                                    <option value="all"><?php echo e(translate('all')); ?> <?php echo e(translate('branch')); ?></option>
                                    <?php $__currentLoopData = $branches; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $branch): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($branch['id']); ?>" <?php echo e($branchId==$branch['id']?'selected':''); ?>><?php echo e($branch['name']); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>

                                <div class="col-sm-6 col-xl-3 mb-3">
                                    <select class="form-control js-select2-custom" name="product_id" id="product_id" required>
                                        <option value="0"><?php echo e(translate('select')); ?> <?php echo e(translate('product')); ?></option>
                                        <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($product['id']); ?>" <?php echo e($productId==$product['id']?'selected':''); ?>><?php echo e($product['name']); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>

                                <div class="col-sm-6 col-xl-2 mb-3">
                                    <input type="date" name="start_date" id="from_date" value="<?php echo e($startDate); ?>" class="form-control">
                                </div>
                                <div class="col-sm-6 col-xl-2 mb-3">
                                    <input type="date" name="end_date" id="to_date" value="<?php echo e($endDate); ?>" class="form-control">
                                </div>
                                <div class="col-sm-6 col-xl-3 mb-3 __btn-row">
                                    <a href="<?php echo e(route('admin.report.product-report')); ?>" id="" class="btn w-100 btn--reset min-h-45px"><?php echo e(translate('clear')); ?></a>
                                    <button type="submit" class="btn btn-primary btn-block"><?php echo e(translate('show')); ?></button>
                                </div>

                                <div class="col-md-6 pt-4">
                                    <strong><?php echo e(translate('total')); ?> <?php echo e(translate('orders')); ?> :
                                        <span id=""> <?php echo e(count($data)); ?></span>
                                    </strong><br>
                                    <strong>
                                        <?php echo e(translate('total')); ?> <?php echo e(translate('item')); ?> <?php echo e(translate('qty')); ?> :
                                        <span id=""><?php echo e($totalQuantity); ?></span>
                                    </strong><br>
                                    <strong><?php echo e(translate('total')); ?>  <?php echo e(translate('amount')); ?> :
                                        <span id=""><?php echo e(Helpers::set_symbol($totalSold)); ?></span>
                                    </strong>
                                </div>
                                <div class="col-6 pt-4">

                                    <div class="hs-unfold mr-5 float-right">
                                        <a class="js-hs-unfold-invoker btn btn-sm btn-white"
                                           href="<?php echo e(route('admin.report.export-product-report', ['branch_id'=>Request::get('branch_id'), 'start_date'=>Request::get('start_date'), 'end_date'=>Request::get('end_date'), 'product_id'=>Request::get('product_id')])); ?>">
                                            <i class="tio-download-to mr-1"></i> <?php echo e(translate('export')); ?>

                                        </a>
                                    </div>

                                </div>
                            </div>
                        </form>
                    </div>
                </div>

                <div class="table">
                    <div class="row">
                        <div class="col-12 pr-4 pl-4">
                            <table class="table">
                                <thead>
                                <tr>
                                    <th><?php echo e(translate('#')); ?> </th>
                                    <th><?php echo e(translate('order')); ?></th>
                                    <th><?php echo e(translate('date')); ?></th>
                                    <th><?php echo e(translate('qty')); ?></th>
                                    <th><?php echo e(translate('amount')); ?></th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($key+1); ?></td>
                                        <td>
                                            <a href="<?php echo e(route('admin.orders.details',['id'=>$row['order_id']])); ?>"><?php echo e($row['order_id']); ?></a>
                                        </td>
                                        <td><?php echo e(date('d M Y',strtotime($row['date']))); ?></td>
                                        <td><?php echo e($row['quantity']); ?></td>
                                        <td><?php echo e(Helpers::set_symbol($row['price'])); ?></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <?php if(count($data)==0): ?>
                        <div class="text-center p-4">
                            <img class="mb-3 width-7rem" src="<?php echo e(asset('public/assets/admin/svg/illustrations/sorry.svg')); ?>" alt="<?php echo e(translate('image')); ?>">
                            <p class="mb-0"><?php echo e(translate('No data to show')); ?></p>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <?php $__env->stopSection(); ?>

        <?php $__env->startPush('script_2'); ?>
            <script>
                "use strict";

                $(document).on('ready', function () {

                    $('.js-nav-scroller').each(function () {
                        new HsNavScroller($(this)).init()
                    });

                    $('.js-select2-custom').each(function () {
                        var select2 = $.HSCore.components.HSSelect2.init($(this));
                    });

                    var datatable = $.HSCore.components.HSDatatables.init($('#datatable'), {
                        dom: 'Bfrtip',
                        buttons: [
                            {
                                extend: 'copy',
                                className: 'd-none'
                            },
                            {
                                extend: 'excel',
                                className: 'd-none'
                            },
                            {
                                extend: 'csv',
                                className: 'd-none'
                            },
                            {
                                extend: 'pdf',
                                className: 'd-none'
                            },
                            {
                                extend: 'print',
                                className: 'd-none'
                            },
                        ],
                        select: {
                            style: 'multi',
                            selector: 'td:first-child input[type="checkbox"]',
                            classMap: {
                                checkAll: '#datatableCheckAll',
                                counter: '#datatableCounter',
                                counterInfo: '#datatableCounterInfo'
                            }
                        },
                        language: {
                            zeroRecords: '<div class="text-center p-4">' +
                                '<img class="mb-3 width-7rem" src="<?php echo e(asset('public/assets/admin')); ?>/svg/illustrations/sorry.svg" alt="Image Description">' +
                                '<p class="mb-0"><?php echo e(translate('No data to show')); ?></p>' +
                                '</div>'
                        }
                    });

                    $('.js-tagify').each(function () {
                        var tagify = $.HSCore.components.HSTagify.init($(this));
                    });
                });

                $('#from_date,#to_date').change(function () {
                    let from = $('#from_date').val();
                    let to = $('#to_date').val();
                    if (from != '' && to != '') {
                        if (from > to) {
                            $('#from_date').val('');
                            $('#to_date').val('');
                            toastr.error(<?php echo e(translate('Invalid date range!')); ?>, Error, {
                                CloseButton: true,
                                ProgressBar: true
                            });
                        }
                    }
                });
            </script>
    <?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/creative/public_html/clients/furnitures/admin/resources/views/admin-views/report/product-report.blade.php ENDPATH**/ ?>